Debian Bug report logs - #611537
grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated

version graph

Package: grub-pc; Maintainer for grub-pc is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-pc is src:grub2.

Reported by: Daniel Huhardeaux <devel@tootai.net>

Date: Sun, 30 Jan 2011 14:42:01 UTC

Severity: important

Tags: fixed-upstream

Found in versions grub2/1.98+20100804-14, grub2/1.98+20100804-14+squeeze1

Fixed in versions grub2/2.00-1, grub2/2.00-4, grub2/1.99-24

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Sun, 30 Jan 2011 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Huhardeaux <devel@tootai.net>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 30 Jan 2011 14:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Huhardeaux <devel@tootai.net>
To: submit@bugs.debian.org
Subject: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Sun, 30 Jan 2011 15:29:49 +0100
Package: grub-pc
Version: 1.98+20100804-14
Severity: important


I installed a fresh server in SATA environment using mdadm. All went 
smooth even rebooting from one or the other disk after installation.
I used a net install SQUEEZE CD from around 08/2010.

After having removed the linux-image-2.6.32-5-trunk-amd64 image from 
installation, I again tried my RAID setup and from here I'm unable to 
boot from
HDD who whas sda during installation. Worth, when booting GRUB I see the 
welcome message, than quickly appears some errors and the server is 
going to reboot,
no GRUB Cli even in rescue mode :-(! Pressing SHIFT key during GRUB 
start gives only a blanck screen, nothing usable.

With a camera I could get an image from the procedure and saw:

GRUB loading.
Welcome to GRUB!

error: no such device 83fe9f48-467b-43bc-bffa-0c0f09be70a5
error: no such disk
error: no suitable mode found

and server is rebooting

the above UUID device is the / partition wich is /dev/md2. Separate is 
/boot being /dev/md0 partition.

Booting from other HDD or from entire RAID area is working well.

Now I enabled in /etc/default/grub
[...]
GRUB_TERMINAL=console

ran update-grub and try again my RAID area: booting from each HDD is 
effective!

I checked my raid area with boot_info_script055.sh script, everything is 
fine (output is filename RESULTS.txt below).

-- 
Daniel

-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/md2 / ext4 rw,relatime,errors=remount-ro,barrier=1,data=ordered 0 0
/dev/md0 /boot ext3 rw,relatime,errors=continue,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)   /dev/disk/by-id/ata-SAMSUNG_HE253GJ_S2B5J90ZB19053
(hd1)   /dev/disk/by-id/ata-SAMSUNG_HE253GJ_S2B5J90ZB19069
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

terminal_input console
terminal_output console
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-amd64' --class debian 
--class gnu-linux --class gnu --class os {
        insmod raid
        insmod mdraid
        insmod part_msdos
        insmod part_msdos
        insmod ext2
        set root='(md0)'
        search --no-floppy --fs-uuid --set 
3f4ae82c-ac03-473d-a158-9e6016fe9a67
        echo    'Loading Linux 2.6.32-5-amd64 ...'
        linux   /vmlinuz-2.6.32-5-amd64 root=/dev/md2 ro
        echo    'Loading initial ramdisk ...'
        initrd  /initrd.img-2.6.32-5-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-amd64 (recovery mode)' 
--class debian --class gnu-linux --class gnu --class os {
        insmod raid
        insmod mdraid
        insmod part_msdos
        insmod part_msdos
        insmod ext2
        set root='(md0)'
        search --no-floppy --fs-uuid --set 
3f4ae82c-ac03-473d-a158-9e6016fe9a67
        echo    'Loading Linux 2.6.32-5-amd64 ...'
        linux   /vmlinuz-2.6.32-5-amd64 root=/dev/md2 ro single
        echo    'Loading initial ramdisk ...'
        initrd  /initrd.img-2.6.32-5-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply 
type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]   1.5.36           Debian configuration 
management sy
ii  grub-common             1.98+20100804-14 GRand Unified Bootloader, 
version
ii  libc6                   2.11.2-10        Embedded GNU C Library: 
Shared lib
ii  libdevmapper1.02.1      2:1.02.48-5      The Linux Kernel Device 
Mapper use
ii  ucf                     3.0025+nmu1      Update Configuration File: 
preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
pn  desktop-base <none>     (no description available)

-- debconf information:
  grub-pc/kopt_extracted: false
  grub2/kfreebsd_cmdline:
  grub2/device_map_regenerated:
* grub-pc/install_devices: (hd0)
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
* grub2/linux_cmdline:
* grub-pc/install_devices_empty: true
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
  grub-pc/install_devices_failed: false
  grub-pc/install_devices_disks_changed:
* grub2/linux_cmdline_default: quiet
  grub-pc/chainload_from_menu.lst: true
  grub-pc/mixed_legacy_and_grub2: true

================================
Output of filename="RESULTS.txt"

                Boot Info Script 0.55    dated February 15th, 2010

============================= Boot Info Summary: 
==============================

 => Grub 2 is installed in the MBR of /dev/sda and looks for (md0)/grub.
 => Grub 2 is installed in the MBR of /dev/sdb and looks for (md0)/grub.

sda1: 
_________________________________________________________________________

    File system:       linux_raid_member
    Boot sector type:  -
    Boot sector info:

sda2: 
_________________________________________________________________________

    File system:       linux_raid_member
    Boot sector type:  -
    Boot sector info:

sda3: 
_________________________________________________________________________

    File system:       linux_raid_member
    Boot sector type:  -
    Boot sector info:

sdb1: 
_________________________________________________________________________

    File system:       linux_raid_member
    Boot sector type:  -
    Boot sector info:

sdb2: 
_________________________________________________________________________

    File system:       linux_raid_member
    Boot sector type:  -
    Boot sector info:

sdb3: 
_________________________________________________________________________

    File system:       linux_raid_member
    Boot sector type:  -
    Boot sector info:

md0: 
_________________________________________________________________________

    File system:       ext3
    Boot sector type:  -
    Boot sector info:
    Operating System:
    Boot files/dirs:   /grub/grub.cfg /grub/core.img

md/1: 
_________________________________________________________________________

    File system:       swap
    Boot sector type:  -
    Boot sector info:

md2: 
_________________________________________________________________________

    File system:       ext4
    Boot sector type:  -
    Boot sector info:
    Operating System:  Debian GNU/Linux 6.0
    Boot files/dirs:   /etc/fstab

=========================== Drive/Partition Info: 
=============================

Drive: sda ___________________ 
_____________________________________________________

Disk /dev/sda: 250.0 GB, 250000000000 bytes
255 heads, 63 sectors/track, 30394 cylinders, total 488281250 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes

Partition  Boot         Start           End          Size  Id System

/dev/sda1                  63       192,779       192,717  fd Linux raid 
autodetect
/dev/sda2             192,780     3,903,794     3,711,015  fd Linux raid 
autodetect
/dev/sda3           3,903,795   488,279,609   484,375,815  fd Linux raid 
autodetect


Drive: sdb ___________________ 
_____________________________________________________

Disk /dev/sdb: 250.0 GB, 250000000000 bytes
255 heads, 63 sectors/track, 30394 cylinders, total 488281250 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes

Partition  Boot         Start           End          Size  Id System

/dev/sdb1                  63       192,779       192,717  fd Linux raid 
autodetect
/dev/sdb2             192,780     3,903,794     3,711,015  fd Linux raid 
autodetect
/dev/sdb3           3,903,795   488,279,609   484,375,815  fd Linux raid 
autodetect


blkid -c /dev/null: 
____________________________________________________________

Device           UUID                                   TYPE       LABEL

/dev/md0         3f4ae82c-ac03-473d-a158-9e6016fe9a67   ext3
/dev/md/1        3b6aaabb-3ce9-4c8a-bec0-0141d5b1161c   swap
/dev/md1         3b6aaabb-3ce9-4c8a-bec0-0141d5b1161c   swap
/dev/md2         83fe9f48-467b-43bc-bffa-0c0f09be70a5   ext4
/dev/sda1        eaaf9a8d-ffec-762f-7146-9dfda3fbc70f   linux_raid_member
/dev/sda2        89741b40-e564-9507-9ec7-e36f7dd7e7d0   
linux_raid_member bonemine:1
/dev/sda3        15529b2b-bfd4-144b-7146-9dfda3fbc70f   linux_raid_member
/dev/sda: PTTYPE="dos"
/dev/sdb1        eaaf9a8d-ffec-762f-7146-9dfda3fbc70f   linux_raid_member
/dev/sdb2        89741b40-e564-9507-9ec7-e36f7dd7e7d0   
linux_raid_member bonemine:1
/dev/sdb3        15529b2b-bfd4-144b-7146-9dfda3fbc70f   linux_raid_member
/dev/sdb: PTTYPE="dos"

============================ "mount | grep ^/dev  output: 
===========================

Device           Mount_Point              Type       Options

/dev/md2         /                        ext4       (rw,errors=remount-ro)
/dev/md0         /boot                    ext3       (rw)


============================== md0/grub/grub.cfg: 
==============================

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod raid
insmod mdraid
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(md2)'
search --no-floppy --fs-uuid --set 83fe9f48-467b-43bc-bffa-0c0f09be70a5
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  load_video
  insmod gfxterm
fi
terminal_output gfxterm
insmod raid
insmod mdraid
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(md0)'
search --no-floppy --fs-uuid --set 3f4ae82c-ac03-473d-a158-9e6016fe9a67
set locale_dir=($root)/grub/locale
set lang=fr
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, avec Linux 2.6.32-5-amd64' --class debian 
--class gnu-linux --class gnu --class os {
        insmod raid
        insmod mdraid
        insmod part_msdos
        insmod part_msdos
        insmod ext2
        set root='(md0)'
        search --no-floppy --fs-uuid --set 
3f4ae82c-ac03-473d-a158-9e6016fe9a67
        echo    'Chargement de Linux 2.6.32-5-amd64 ...'
        linux   /vmlinuz-2.6.32-5-amd64 
root=UUID=83fe9f48-467b-43bc-bffa-0c0f09be70a5 ro  quiet
        echo    'Chargement du disque mémoire initial ...'
        initrd  /initrd.img-2.6.32-5-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.32-5-amd64 (mode de 
dépannage)' --class debian --class gnu-linux --class gnu --class os {
        insmod raid
        insmod mdraid
        insmod part_msdos
        insmod part_msdos
        insmod ext2
        set root='(md0)'
        search --no-floppy --fs-uuid --set 
3f4ae82c-ac03-473d-a158-9e6016fe9a67
        echo    'Chargement de Linux 2.6.32-5-amd64 ...'
        linux   /vmlinuz-2.6.32-5-amd64 
root=UUID=83fe9f48-467b-43bc-bffa-0c0f09be70a5 ro single
        echo    'Chargement du disque mémoire initial ...'
        initrd  /initrd.img-2.6.32-5-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply 
type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###

==================== md0: Location of files loaded by Grub: 
====================


    .0GB: grub/core.img
    .0GB: grub/grub.cfg
    .0GB: initrd.img-2.6.32-5-amd64
    .0GB: vmlinuz-2.6.32-5-amd64

================================ md2/etc/fstab: 
================================

# /etc/fstab: static file system information.
#
# Use 'vol_id --uuid' to print the universally unique identifier for a
# device; this may be used with UUID= as a more robust way to name devices
# that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc            /proc           proc    defaults        0       0
# / was on /dev/md2 during installation
UUID=83fe9f48-467b-43bc-bffa-0c0f09be70a5 /               ext4    
errors=remount-ro 0       1
# /boot was on /dev/md0 during installation
UUID=3f4ae82c-ac03-473d-a158-9e6016fe9a67 /boot           ext3    
defaults        0       2
# swap was on /dev/md1 during installation
UUID=3b6aaabb-3ce9-4c8a-bec0-0141d5b1161c none            swap    
sw              0       0
/dev/scd0       /media/cdrom0   udf,iso9660 user,noauto     0       0

==================== md2: Location of files loaded by Grub: 
====================


    .0GB: initrd.img
    .0GB: vmlinuz
=============================== StdErr Messages: 
===============================

mdadm: /dev/md0 is already in use.
mdadm: /dev/md2 is already in use.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 11:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Daniel Huhardeaux <devel@tootai.net>, 611537@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 13:20:49 +0200
usertag 611537 not-upstream
thanks
On 30.01.2011 15:29, Daniel Huhardeaux wrote:
> * grub-pc/install_devices: (hd0) 
This is the problem. Automatic update reinstalls GRUB only to one of the
devices. Use "sudo dpkg-reconfigure grub-pc" to make it install on both
sda and sdb

-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko






Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 12:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Huhardeaux <devel@tootai.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 12:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 611537@bugs.debian.org (full text, mbox):

From: Daniel Huhardeaux <devel@tootai.net>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: 611537@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 14:04:33 +0200
Le 30/03/2011 13:20, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
> usertag 611537 not-upstream
> thanks
> On 30.01.2011 15:29, Daniel Huhardeaux wrote:
>> * grub-pc/install_devices: (hd0)
> This is the problem. Automatic update reinstalls GRUB only to one of the
> devices. Use "sudo dpkg-reconfigure grub-pc" to make it install on both
> sda and sdb
It was done like you say, that's not the problem. Grub is installed on 
both disks. If you read carefully my message, the problem appears *ONLY* 
when grub graphical terminal is activated.

-- 
Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 12:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Daniel Huhardeaux <devel@tootai.net>
Cc: 611537@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 14:18:57 +0200
On 30.03.2011 14:04, Daniel Huhardeaux wrote:
> Le 30/03/2011 13:20, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
>> usertag 611537 not-upstream
>> thanks
>> On 30.01.2011 15:29, Daniel Huhardeaux wrote:
>>> * grub-pc/install_devices: (hd0)
>> This is the problem. Automatic update reinstalls GRUB only to one of the
>> devices. Use "sudo dpkg-reconfigure grub-pc" to make it install on both
>> sda and sdb
> It was done like you say, that's not the problem. Grub is installed on
> both disks.
Yes but only one of the two installed core.img matches the modules.
> If you read carefully my message, the problem appears *ONLY* when grub
> graphical terminal is activated.
>
mismatch of core.img and modules can manifest in variety of ways,
usually crashes when you try to use a function that was modified. In
this case it's something gettext of gfxterm-related.


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko






Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Huhardeaux <devel@tootai.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 13:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 611537@bugs.debian.org (full text, mbox):

From: Daniel Huhardeaux <devel@tootai.net>
To: 611537@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 15:23:23 +0200
Le 30/03/2011 14:18, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
> On 30.03.2011 14:04, Daniel Huhardeaux wrote:
>> Le 30/03/2011 13:20, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
>>> usertag 611537 not-upstream
>>> thanks
>>> On 30.01.2011 15:29, Daniel Huhardeaux wrote:
>>>> * grub-pc/install_devices: (hd0)
>>> This is the problem. Automatic update reinstalls GRUB only to one of the
>>> devices. Use "sudo dpkg-reconfigure grub-pc" to make it install on both
>>> sda and sdb
>> It was done like you say, that's not the problem. Grub is installed on
>> both disks.
> Yes but only one of the two installed core.img matches the modules.
> [...]

I don't quiet understand: I ran "sudo dpkg-reconfigure <everything 
related to grub>" to be sure that everything is fine, this include 
grub-pc as you point it. Nothing helped till I removed the graphical 
terminal.

I installed few other servers with Debian stable after this, always 
removed the graphical terminal W/O reconfiguring grub related stuff and 
all went smooth. So how can the core.img differe from one disk to the other?

-- 
Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 13:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Daniel Huhardeaux <devel@tootai.net>, 611537@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 15:37:32 +0200
> I don't quiet understand: I ran "sudo dpkg-reconfigure <everything
> related to grub>" to be sure that everything is fine, this include
> grub-pc as you point it. Nothing helped till I removed the graphical
> terminal.
>
> I installed few other servers with Debian stable after this, always
> removed the graphical terminal W/O reconfiguring grub related stuff
> and all went smooth. So how can the core.img differe from one disk to
> the other?
>
Consider following scenario:
You install GRUB to both sda and sdb.
Then you do a sudo aptitude upgrade or equivalent. It finds a new GRUB
version and installs it, updating core.img on sda and modules. So
core.img from sda and modules are in sync. But the core.img on sdb isn't
updated and so it gets out of sync with modules.
Another possible reason for such a failure is a mdraid array desync.
Yet, there was a similar report affecting some other users to warant
further investigation. Could you try to do in GRUB shell:
insmod gettext
lang=fr
and tell the result?


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko






Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Huhardeaux <devel@tootai.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 13:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 611537@bugs.debian.org (full text, mbox):

From: Daniel Huhardeaux <devel@tootai.net>
Cc: 611537@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 15:55:25 +0200
Le 30/03/2011 15:37, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
>> I don't quiet understand: I ran "sudo dpkg-reconfigure<everything
>> related to grub>" to be sure that everything is fine, this include
>> grub-pc as you point it. Nothing helped till I removed the graphical
>> terminal.
>>
>> I installed few other servers with Debian stable after this, always
>> removed the graphical terminal W/O reconfiguring grub related stuff
>> and all went smooth. So how can the core.img differe from one disk to
>> the other?
>>
> Consider following scenario:
> You install GRUB to both sda and sdb.
> Then you do a sudo aptitude upgrade or equivalent. It finds a new GRUB
> version and installs it, updating core.img on sda and modules. So
> core.img from sda and modules are in sync. But the core.img on sdb isn't
> updated and so it gets out of sync with modules.

This is OK: what I don't understand is that you told me to run 
dpkg-reconfigure grub-pc to avoid this and that I did it (and more than 
one)  and it change nothing.

> Another possible reason for such a failure is a mdraid array desync.
> Yet, there was a similar report affecting some other users to warant
> further investigation. Could you try to do in GRUB shell:
> insmod gettext
> lang=fr
> and tell the result?

I will not be able to do anything as I don't get any grub cli ! Server 
just hang after the bios stuff :-(

-- 
Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 14:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 14:21:12 GMT) Full text and rfc822 format available.

Message #40 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Daniel Huhardeaux <devel@tootai.net>, 611537@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 16:18:56 +0200
On 30.03.2011 15:55, Daniel Huhardeaux wrote:
> Le 30/03/2011 15:37, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
>>> I don't quiet understand: I ran "sudo dpkg-reconfigure<everything
>>> related to grub>" to be sure that everything is fine, this include
>>> grub-pc as you point it. Nothing helped till I removed the graphical
>>> terminal.
>>>
>>> I installed few other servers with Debian stable after this, always
>>> removed the graphical terminal W/O reconfiguring grub related stuff
>>> and all went smooth. So how can the core.img differe from one disk to
>>> the other?
>>>
>> Consider following scenario:
>> You install GRUB to both sda and sdb.
>> Then you do a sudo aptitude upgrade or equivalent. It finds a new GRUB
>> version and installs it, updating core.img on sda and modules. So
>> core.img from sda and modules are in sync. But the core.img on sdb isn't
>> updated and so it gets out of sync with modules.
>
> This is OK: what I don't understand is that you told me to run
> dpkg-reconfigure grub-pc to avoid this and that I did it (and more
> than one)  and it change nothing.
>
You can choose which devices you want GRUB to be installed to by
"dpkg-reconfigure grub-pc". But I'm not familiar with packaging
>> Another possible reason for such a failure is a mdraid array desync.
>> Yet, there was a similar report affecting some other users to warant
>> further investigation. Could you try to do in GRUB shell:
>> insmod gettext
>> lang=fr
>> and tell the result?
>
> I will not be able to do anything as I don't get any grub cli ! Server
> just hang after the bios stuff :-(
>
I mean, set GRUB_TERMINAL=console (a config that afaiu works) and try
executing these commands to see if it triggers the bug.


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko






Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 30 Mar 2011 15:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Huhardeaux <devel@tootai.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 30 Mar 2011 15:03:10 GMT) Full text and rfc822 format available.

Message #45 received at 611537@bugs.debian.org (full text, mbox):

From: Daniel Huhardeaux <devel@tootai.net>
To: 611537@bugs.debian.org
Subject: Re: Bug#611537: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Wed, 30 Mar 2011 17:01:54 +0200
Le 30/03/2011 16:18, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
> On 30.03.2011 15:55, Daniel Huhardeaux wrote:
>> Le 30/03/2011 15:37, Vladimir 'φ-coder/phcoder' Serbinenko a écrit :
>>> Another possible reason for such a failure is a mdraid array desync.
>>> Yet, there was a similar report affecting some other users to warant
>>> further investigation. Could you try to do in GRUB shell:
>>> insmod gettext
>>> lang=fr
>>> and tell the result?
>> I will not be able to do anything as I don't get any grub cli ! Server
>> just hang after the bios stuff :-(
>>
> I mean, set GRUB_TERMINAL=console (a config that afaiu works) and try
> executing these commands to see if it triggers the bug.

All servers are now in production, I will not be able to do any test. 
Will wait the next one to come.

Anyway, as you seems to think that the problem is not grub related and 
as I have found how to eliminate this behaviour, you can, from my side, 
close this bug

-- 
Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Sun, 05 Jun 2011 10:36:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to franck hamelin <franck.hamelin@free.fr>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 05 Jun 2011 10:36:32 GMT) Full text and rfc822 format available.

Message #50 received at 611537@bugs.debian.org (full text, mbox):

From: franck hamelin <franck.hamelin@free.fr>
To: 611537@bugs.debian.org
Date: Sun, 5 Jun 2011 12:35:39 +0200
[Message part 1 (text/plain, inline)]
same for me:  mdadm + RAID1 => boot fail from the second drive when grub is in graphical mode.
The console mode is an acceptable work around, but it would be nice to avoid it.


here is my configuration:
# uname -a
Linux bigtour 2.6.32-5-amd64 #1 SMP Mon Mar 7 21:35:22 UTC 2011 x86_64 GNU/Linux

# dpkg -l *grub* | grep ii
ii  grub                                 0.97-64                        GRand Unified Bootloader (dummy package)
ii  grub-common                          1.98+20100804-14               GRand Unified Bootloader, version 2 (common files)
ii  grub-pc                              1.98+20100804-14               GRand Unified Bootloader, version 2 (PC/BIOS version)

# cat /proc/mdstat 
Personalities : [raid1] [raid6] [raid5] [raid4] 
md2 : active raid5 sdf[4] sde[2] sdb[1] sdd[0]
      5860538880 blocks super 1.2 level 5, 512k chunk, algorithm 2 [4/4] [UUUU]
      
md1 : active raid1 sda2[2] sdc2[1]
      488133865 blocks super 1.2 [2/2] [UU]
      
md0 : active raid1 sda1[2] sdc1[1]
      248964 blocks super 1.2 [2/2] [UU]

# mount | grep -e boot -e root
/dev/mapper/bigtour-root on / type xfs (rw)
/dev/md0 on /boot type ext2 (rw)

when I boot with a degraded md0 with grub in graphical mode
- with only sda it works
- with only sdc it fails.
when I set GRUB_TERMINAL=console in /etc/default/grub it works in degraded mode with sda only or sdc only.

Fails here means:
GRUB loading.
Welcome to GRUB!

error: fd0 read error. (as usual not the problem)
=> does not switch to the graphical mode it stuck here for ever.


I've check the correct installation of grub on both drive with http://bootinfoscript.sourceforge.net/
You'll find an extract of RESULT.txt here under:

                  Boot Info Script 0.60    from 17 May 2011
============================= Boot Info Summary: ===============================

 => Grub2 (v1.97-1.98) is installed in the MBR of /dev/sda and looks at sector 
    1 of the same hard drive for core.img. core.img is at this location and 
    looks for (md/0)/grub on this drive.
 => No boot loader is installed in the MBR of /dev/sdb.
 => Grub2 (v1.97-1.98) is installed in the MBR of /dev/sdc and looks at sector 
    1 of the same hard drive for core.img. core.img is at this location and 
    looks for (md/0)/grub on this drive.
============================ Drive/Partition Info: =============================

Drive: sda _____________________________________________________________________

Disk /dev/sda: 500.1 GB, 500107862016 bytes
255 heads, 63 sectors/track, 60801 cylinders, total 976773168 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes

Partition  Boot  Start Sector    End Sector  # of Sectors  Id System

/dev/sda1    *             63       498,014       497,952  fd Linux raid autodetect
/dev/sda2             498,015   976,768,064   976,270,050  fd Linux raid autodetect

Drive: sdc _____________________________________________________________________

Disk /dev/sdc: 500.1 GB, 500107862016 bytes
255 heads, 63 sectors/track, 60801 cylinders, total 976773168 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes

Partition  Boot  Start Sector    End Sector  # of Sectors  Id System

/dev/sdc1                  63       498,014       497,952  fd Linux raid autodetect
/dev/sdc2             498,015   976,768,064   976,270,050  fd Linux raid autodetect


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Fri, 07 Oct 2011 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Diego Guella" <diego.guella@sircomtech.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 07 Oct 2011 08:15:03 GMT) Full text and rfc822 format available.

Message #55 received at 611537@bugs.debian.org (full text, mbox):

From: "Diego Guella" <diego.guella@sircomtech.com>
To: <611537@bugs.debian.org>
Date: Fri, 7 Oct 2011 09:51:01 +0200
Same here.

Installed Debian Squeeze on a 2-drive RAID1, drives partitioned this way:

#fdisk -u -l /dev/sda

Disk /dev/sda: 2000.4 GB, 2000398934016 bytes
255 heads, 63 sectors/track, 243201 cylinders, total 3907029168 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x0007982f

  Device Boot      Start         End      Blocks   Id  System
/dev/sda1            2048     1953791      975872   82  Linux swap / Solaris
Partition 1 does not end on cylinder boundary.
/dev/sda2         1953792    99610623    48828416   fd  Linux raid 
autodetect
/dev/sda3        99610624  3907028991  1903709184   fd  Linux raid 
autodetect


Partitions:
sd*1 used for swap,
sd*2 -> /dev/md0 mounted on /,
sd*3 -> /dev/md1 mounted on /home.


#uname -svrmo
Linux 2.6.32-5-amd64 #1 SMP Fri Sep 9 20:23:16 UTC 2011 x86_64 GNU/Linux



Booting with sda and sdb connected works, even when they are physically 
reversed (boot from sdb).
Booting with sda *only* works.
Booting with sdb *only* does not work.

"does not work" means that on the screen I can read:
---
GRUB loading.
Welcome to GRUB!
---
and then, the system reboots.


I manually re-installed grub on sdb:
#grub-mkdevicemap
#grub-install /dev/sdb
Installation finished. No errors reported.

Does not help.

I added a 3rd drive to the raid1 array:
#mdadm --grow --raid-devices=3 /dev/md0
#mdadm --grow --raid-devices=3 /dev/md1
#dd if=/dev/sda of=/dev/sdc bs=512 count=1
#sync
#partprobe /dev/sdc
#mkswap /dev/sdc1
#mdadm /dev/md0 -a /dev/sdc2
#mdadm /dev/md1 -a /dev/sdc3
#grub-mkdevicemap
#grub-install /dev/sdc

Does not work with this drive too.

Set GRUB_TERMINAL=console in /etc/default/grub
#update-grub

Works.



I can live with this workaround, but I would like to understand what's going 
on here and maybe help to fix this.
You can find many users describing this bug on the web, one of these 
discussions is here:
http://ubuntuforums.org/showthread.php?t=1661341

Now I wonder: why is the first installation disc so special?

#blkid
/dev/sdb1: UUID="edc663a6-6dc1-4d2c-b3a2-c647f96ef3b3" TYPE="swap"
/dev/sda1: UUID="85099ddf-ffd0-4694-b03e-c925c6eae411" TYPE="swap"
/dev/md0: UUID="e999dede-c6a5-4b0f-8e2a-00019fac4ae3" TYPE="ext4"
/dev/md1: UUID="81c5c2bd-d83f-4bca-972c-72d661712337" TYPE="ext4"
/dev/sdd1: UUID="ae180f5c-afca-4b0f-8ab3-120e798a15f6" TYPE="swap"
/dev/sdd2: UUID="5695a0dc-6720-99cc-2d7a-92775b13bf0b" 
TYPE="linux_raid_member" LABEL="devilserver:0"
/dev/sdd3: UUID="eccfe28c-156a-186f-be31-844598ff6361" 
TYPE="linux_raid_member" LABEL="devilserver:1"
/dev/sdc1: UUID="9dc4f544-4a17-43d5-ad15-2e1d669525c2" TYPE="swap"
/dev/sda2: UUID="5695a0dc-6720-99cc-2d7a-92775b13bf0b" LABEL="devilserver:0" 
TYPE="linux_raid_member"
/dev/sda3: UUID="eccfe28c-156a-186f-be31-844598ff6361" LABEL="devilserver:1" 
TYPE="linux_raid_member"
/dev/sdb2: UUID="5695a0dc-6720-99cc-2d7a-92775b13bf0b" LABEL="devilserver:0" 
TYPE="linux_raid_member"
/dev/sdb3: UUID="eccfe28c-156a-186f-be31-844598ff6361" LABEL="devilserver:1" 
TYPE="linux_raid_member"
/dev/sdc2: UUID="5695a0dc-6720-99cc-2d7a-92775b13bf0b" LABEL="devilserver:0" 
TYPE="linux_raid_member"
/dev/sdc3: UUID="eccfe28c-156a-186f-be31-844598ff6361" LABEL="devilserver:1" 
TYPE="linux_raid_member"


The first 2048 512-byte sectors of each disk are identical
The first 512-byte sector of sdb2, sdc2, sdd2 are full of 0's
The first 512-byte sector of sda2 contains:

#dd if=/dev/sda2 of=sda2_sector0.bin bs=512 count=1
# hexdump sda2_sector0.bin
0000000 804f 0000 804f 0001 804f 0002 804f 0003
0000010 804f 0004 804f 000c 804f 000d 804f 0018
0000020 804f 0028 804f 003e 804f 0079 804f 00ab
0000030 0000 0000 0000 0000 0000 0000 0000 0000
*
0000200

So I copied this sector into sdb:
#dd if=/dev/sda2 of=/dev/sdb2 bs=512 count=1

Tried to boot with sdb only.. no success.


-EOUTOFIDEAS






Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Thu, 03 Nov 2011 07:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Diego Guella" <diego.guella@sircomtech.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 03 Nov 2011 07:42:08 GMT) Full text and rfc822 format available.

Message #60 received at 611537@bugs.debian.org (full text, mbox):

From: "Diego Guella" <diego.guella@sircomtech.com>
To: <611537@bugs.debian.org>
Cc: "Diego Guella" <diego.guella@sircomtech.com>
Subject: Re: Bug#643507: grub-pc: In an mdadm RAID1 area GRUB2 fails to boot from second HDD (at, least in SATA environment) when graphical terminal activated
Date: Thu, 3 Nov 2011 08:39:34 +0100
Good news!
I just upgraded grub-common and grub-pc from version 1.98+20100804-14 to
version 1.98+20100804-14+squeeze1 (the version in Debian 6.0.3)

After the update, I tried to boot from each of my 4 raid1 members, and.. now
the system boots!
This issue is no longer present for me.
Anyone can retest with grub 1.98+20100804-14+squeeze1 and confirm?

For me, this bug is resolved, and not found in version
1.98+20100804-14+squeeze1.





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Sat, 12 Nov 2011 00:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niccolo Rigacci <niccolo@rigacci.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 12 Nov 2011 00:12:14 GMT) Full text and rfc822 format available.

Message #65 received at 611537@bugs.debian.org (full text, mbox):

From: Niccolo Rigacci <niccolo@rigacci.org>
To: 611537@bugs.debian.org
Subject: grub-pc: Bad news: not solved even with 1.98+20100804-14+squeeze1
Date: Sat, 12 Nov 2011 00:24:59 +0100
Package: grub-pc
Version: 1.98+20100804-14+squeeze1
Severity: normal

Unfortunately the bug is still here.

I did a fresh default install from a Debian netinst 6.0.3, then I tried
to boot from /dev/sdb (removing /dev/sda). The result is an infinite
loop rebooting just after "GRUB loading."

I tried also to connect /dev/sdb to the first sata port: it does not work.

After several tries with grub-install and grub-setup I find a blog post
suggesting to activate "GRUB_CMDLINE_LINUX="nomodeset" and "GRUB_TERMINAL=console",
now the system can boot from sdb.

I will try to reproduce the bug on a test system and check what is
the minimal change which solves the problem. I will also check if the
recipe fixes the problem permanently, so I can remove the "console" mode.

-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/disk/by-uuid/6805e46d-1c92-4869-bc89-36b6b87bbb03 / ext3 rw,relatime,errors=remount-ro,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/ata-ST2000DL003-9VT166_5YD6A7LD
(hd1)	/dev/disk/by-id/ata-ST2000DL003-9VT166_5YD6AANG
(hd2)	/dev/disk/by-id/ata-ST2000DL003-9VT166_5YD68P9T
(hd3)	/dev/disk/by-id/ata-ST2000DL003-9VT166_5YD5V5ZQ
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

terminal_input console
terminal_output console
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-xen-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_gpt
	insmod part_gpt
	insmod ext2
	set root='(md/0)'
	search --no-floppy --fs-uuid --set 6805e46d-1c92-4869-bc89-36b6b87bbb03
	echo	'Loading Linux 2.6.32-5-xen-amd64 ...'
	linux	/boot/vmlinuz-2.6.32-5-xen-amd64 root=UUID=6805e46d-1c92-4869-bc89-36b6b87bbb03 ro nomodeset quiet
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.32-5-xen-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-xen-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_gpt
	insmod part_gpt
	insmod ext2
	set root='(md/0)'
	search --no-floppy --fs-uuid --set 6805e46d-1c92-4869-bc89-36b6b87bbb03
	echo	'Loading Linux 2.6.32-5-xen-amd64 ...'
	linux	/boot/vmlinuz-2.6.32-5-xen-amd64 root=UUID=6805e46d-1c92-4869-bc89-36b6b87bbb03 ro single nomodeset
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.32-5-xen-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-xen-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debco 1.5.36.1                  Debian configuration management sy
ii  grub-common    1.98+20100804-14+squeeze1 GRand Unified Bootloader, version 
ii  libc6          2.11.2-10                 Embedded GNU C Library: Shared lib
ii  libdevmapper1. 2:1.02.48-5               The Linux Kernel Device Mapper use
ii  ucf            3.0025+nmu1               Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
pn  desktop-base                  <none>     (no description available)

-- debconf information:
  grub-pc/kopt_extracted: false
  grub2/kfreebsd_cmdline:
  grub2/device_map_regenerated:
* grub-pc/install_devices: /dev/disk/by-id/ata-ST2000DL003-9VT166_5YD6A7LD
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
* grub2/linux_cmdline:
  grub-pc/install_devices_empty: false
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
  grub-pc/install_devices_failed: false
  grub-pc/install_devices_disks_changed:
* grub2/linux_cmdline_default: quiet
  grub-pc/chainload_from_menu.lst: true
  grub-pc/mixed_legacy_and_grub2: true






Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Fri, 18 Nov 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Diego Guella" <diego.guella@sircomtech.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 18 Nov 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #70 received at 611537@bugs.debian.org (full text, mbox):

From: "Diego Guella" <diego.guella@sircomtech.com>
To: <611537@bugs.debian.org>
Cc: "Diego Guella" <diego.guella@sircomtech.com>
Subject: Re: Bug#643507: not really solved
Date: Fri, 18 Nov 2011 16:47:29 +0100
Actually, I discovered that the bug is still there for me too, although in 
has another shape now.

I now have a RAID-1 with 4 members, I use 5 HDD and rotate them daily.
During the Debian installation, I created a 2-member RAID-1, and later I 
grew the array to 4 members.

What I have now is:
-If the first OR the second disk (so, one of the 2 disks I used during 
Debian installation) are present in the array,
then grub boots correctly.
-If they are not present, grub shows "Welcome to GRUB", then reboots the 
machine in an endless loop.

Sorry for the previous noise
:(

Diego





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Sat, 14 Jan 2012 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Bauer <ab@voltage.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 14 Jan 2012 14:18:03 GMT) Full text and rfc822 format available.

Message #75 received at 611537@bugs.debian.org (full text, mbox):

From: Andreas Bauer <ab@voltage.de>
To: 611537@bugs.debian.org <611537@bugs.debian.org>
Subject: Bug still present
Date: Sat, 14 Jan 2012 14:33:34 +0100
I can confirm that the bug is still present. What I did:

Fresh install of Squeeze 6.0.3, MD0 array created with the installer (with LVM on top) and grub installed onto /dev/sda (first hard drive).

After installation:

# grub-install /dev/sdb

# update-grub2

and various other things like fiddling with the device-maps without success.

As soon as I removed the first hard drive grub would enter a reboot loop after "GRUB loading".

I can positively identify that only these two steps

1) uncommenting GRUB_TERMINAL=console

2) running update-grub2

solved the issue. Now the system will boot fine when the first disk is missing.

Hope this helps to track down the bug, as it is nasty and will bite people bad when hardware fails and servers are remote!




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Thu, 02 Feb 2012 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 02 Feb 2012 15:51:03 GMT) Full text and rfc822 format available.

Message #80 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Diego Guella <diego.guella@sircomtech.com>, 611537@bugs.debian.org
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Thu, 02 Feb 2012 16:47:53 +0100
On 18.11.2011 16:47, Diego Guella wrote:
> Actually, I discovered that the bug is still there for me too, 
> although in has another shape now.
>
> I now have a RAID-1 with 4 members, I use 5 HDD and rotate them daily.
> During the Debian installation, I created a 2-member RAID-1, and later 
> I grew the array to 4 members.
>
If I understand this correctly your RAID never has all the devices 
connected. This leads to big desync (even writing once to an incomplete 
RAID causes desync).
This is not a proper way to handle array. Frankly, I'm surprised 
anything works at all under such abuse.
> What I have now is:
> -If the first OR the second disk (so, one of the 2 disks I used during 
> Debian installation) are present in the array,
> then grub boots correctly.
> -If they are not present, grub shows "Welcome to GRUB", then reboots 
> the machine in an endless loop.
>
> Sorry for the previous noise
> :(
>
> Diego
>
>
>
>
> _______________________________________________
> Pkg-grub-devel mailing list
> Pkg-grub-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grub-devel
>


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Fri, 03 Feb 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Diego Guella" <diego.guella@sircomtech.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 03 Feb 2012 08:39:03 GMT) Full text and rfc822 format available.

Message #85 received at 611537@bugs.debian.org (full text, mbox):

From: "Diego Guella" <diego.guella@sircomtech.com>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>, <611537@bugs.debian.org>
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Fri, 3 Feb 2012 09:09:39 +0100
From: "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
> On 18.11.2011 16:47, Diego Guella wrote:
>> Actually, I discovered that the bug is still there for me too, although 
>> in has another shape now.
>>
>> I now have a RAID-1 with 4 members, I use 5 HDD and rotate them daily.
>> During the Debian installation, I created a 2-member RAID-1, and later I 
>> grew the array to 4 members.
>>
> If I understand this correctly your RAID never has all the devices 
> connected. This leads to big desync (even writing once to an incomplete 
> RAID causes desync).
> This is not a proper way to handle array. Frankly, I'm surprised anything 
> works at all under such abuse.

I've used my 5 device RAID1 for over 2 years with lenny, and never got those 
problems.
Maybe I'm abusing RAID, but I don't think so.

I'd like to understand better what you are talking about "desync".

This is what I do (and have done since 2 years with lenny):
4-member RAID1: (a),(b),(c),(d), plus one HDD (e) disconnected from the 
system.
1.the system is on, 4 HDDs present, RAID1 ok.
2.turn the system off
3.remove HDD (d) from the system (it was /dev/sdd)
4.attach HDD (e) to the system (it will become the new /dev/sdd)
5.power on the system

At this point, the RAID1 is in this state:
-----
root@devilserver:~# cat /proc/mdstat
Personalities : [raid1]
md1 : active raid1 sdb3[2] sdc3[3] sda3[6]
     1903708024 blocks super 1.2 [4/3] [U_UU]

md0 : active raid1 sdb2[2] sdc2[3] sda2[6]
     48827320 blocks super 1.2 [4/3] [U_UU]

unused devices: <none>
-----
(md1 is mounted on /home, md0 is mounter on /)

6.add HDD (e) to the RAID1:
-----
root@devilserver:~# mdadm /dev/md0 -a /dev/sdd2
mdadm: re-added /dev/sdd2
root@devilserver:~# mdadm /dev/md1 -a /dev/sdd3
mdadm: re-added /dev/sdd3
-----

At this point, the RAID1 is in this state:
-----
root@devilserver:~# cat /proc/mdstat
Personalities : [raid1]
md1 : active raid1 sdd3[5] sdb3[2] sdc3[3] sda3[6]
     1903708024 blocks super 1.2 [4/3] [U_UU]
       resync=DELAYED

md0 : active raid1 sdd2[5] sdb2[2] sdc2[3] sda2[6]
     48827320 blocks super 1.2 [4/3] [U_UU]
     [>....................]  recovery =  1.1% (539648/48827320) 
finish=28.3min speed=28402K/sec

unused devices: <none>
-----

When the resync will complete, the RAID1 will be OK again.
The disconnected HDD (d) is an emergency copy of the system.
I can recover files from it, or even connect it to an identical system and 
get a working machine in 0 minutes in case of a disaster.

Now I'd like to understand:
-What's wrong with what I'm doing?
Pretend that drive (d) really dies when the system was turned off.
What I'm supposed to do in that situation? Pick a new drive (e), connect it 
to the system, and add it to the RAID1 array.
Isn't that the same?

I can grow the array to 5-members, the only downside of that is the annoying 
mail message from mdadm because of "DegradedArray event" at every boot of 
the machine.
I am open to other suggestions, too.

Diego 





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Fri, 03 Feb 2012 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 03 Feb 2012 09:12:06 GMT) Full text and rfc822 format available.

Message #90 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Diego Guella <diego.guella@sircomtech.com>
Cc: 611537@bugs.debian.org
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Fri, 03 Feb 2012 10:09:52 +0100
On 03.02.2012 09:09, Diego Guella wrote:
>
> When the resync will complete, the RAID1 will be OK again.
Hm, I assumed that you didn't wait for these.
Both Colin Watson and I tried to reproduce it or similar problems but 
couldn't other than on heavily desynced and corrupted disk. If you can 
supply the test images (just GRUB+kernel) using latest bzr upstream I'd 
happily fix it, otherwise I don't see what I can do.

-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Fri, 03 Feb 2012 12:36:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Diego Guella" <diego.guella@sircomtech.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 03 Feb 2012 12:36:26 GMT) Full text and rfc822 format available.

Message #95 received at 611537@bugs.debian.org (full text, mbox):

From: "Diego Guella" <diego.guella@sircomtech.com>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: <611537@bugs.debian.org>
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Fri, 3 Feb 2012 13:04:54 +0100
From: "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
> Both Colin Watson and I tried to reproduce it or similar problems but 
> couldn't other than on heavily desynced and corrupted disk. If you can 
> supply the test images (just GRUB+kernel) using latest bzr upstream I'd 
> happily fix it, otherwise I don't see what I can do.

I need to understand better what you need.
Do you need the dd images of all the disks?

This is a summary of the first disk:
-----
root@devilserver:~# fdisk -u -l /dev/sda

Disk /dev/sda: 2000.4 GB, 2000398934016 bytes
255 heads, 63 sectors/track, 243201 cylinders, total 3907029168 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x0007982f

  Device Boot      Start         End      Blocks   Id  System
/dev/sda1            2048     1953791      975872   82  Linux swap / Solaris
Partition 1 does not end on cylinder boundary.
/dev/sda2         1953792    99610623    48828416   fd  Linux raid 
autodetect
/dev/sda3        99610624  3907028991  1903709184   fd  Linux raid 
autodetect
-----

Supplying the entire image, even omitting the 3rd partition (/home) is not 
feasible, both for size (40+GiB) and for security reasons.
What I can do for sure is blank out one of the 5 disks, and do whatever you 
tell me to do on it.
Or supply a dd image of the first 2048 sectors of the disk.
Or the first sectors of the / partition.
Or the files in my /boot directory.

I want to remember you this:
-When the system works, the "Welcome to GRUB" appears for some milliseconds, 
then I see the GRUB menu.
-When the system does not work (original installation HDDs missing), 
"Welcome to GRUB" appears for some time, then the system reboots.
This is way before loading the kernel.





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Fri, 03 Feb 2012 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 03 Feb 2012 12:42:09 GMT) Full text and rfc822 format available.

Message #100 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Diego Guella <diego.guella@sircomtech.com>
Cc: 611537@bugs.debian.org
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Fri, 03 Feb 2012 13:40:15 +0100
On 03.02.2012 13:04, Diego Guella wrote:
>
> From: "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
>> Both Colin Watson and I tried to reproduce it or similar problems but 
>> couldn't other than on heavily desynced and corrupted disk. If you 
>> can supply the test images (just GRUB+kernel) using latest bzr 
>> upstream I'd happily fix it, otherwise I don't see what I can do.
>
> I need to understand better what you need.
> Do you need the dd images of all the disks?
>
No. The best is to do something like:
for i in 1 2 3 4 5; do
qemu-img create $.img 100M;
losetup /dec/loop$i;
done
<recreate a similar md>
mke2fs /dev/md/devfake
mount ...
for i in 1 2 3 4 5; do
grub-install --boot-directory=/mnt/md/boot /dev/loop$i
done
cp /boot/grub/grub.cfg /mnt/md/boot/grub/grub.cfg
<copy kernels>
qemu 3.img  (check that it fails)
In preference all with latest HEAD and I may also need 
grub-core/*.module from compile directory to get debug symbols

> This is a summary of the first disk:
> -----
> root@devilserver:~# fdisk -u -l /dev/sda
>
> Disk /dev/sda: 2000.4 GB, 2000398934016 bytes
> 255 heads, 63 sectors/track, 243201 cylinders, total 3907029168 sectors
> Units = sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
> Disk identifier: 0x0007982f
>
>   Device Boot      Start         End      Blocks   Id  System
> /dev/sda1            2048     1953791      975872   82  Linux swap / 
> Solaris
> Partition 1 does not end on cylinder boundary.
> /dev/sda2         1953792    99610623    48828416   fd  Linux raid 
> autodetect
> /dev/sda3        99610624  3907028991  1903709184   fd  Linux raid 
> autodetect
> -----
>
> Supplying the entire image, even omitting the 3rd partition (/home) is 
> not feasible, both for size (40+GiB) and for security reasons.
> What I can do for sure is blank out one of the 5 disks, and do 
> whatever you tell me to do on it.
> Or supply a dd image of the first 2048 sectors of the disk.
> Or the first sectors of the / partition.
> Or the files in my /boot directory.
>
> I want to remember you this:
> -When the system works, the "Welcome to GRUB" appears for some 
> milliseconds, then I see the GRUB menu.
> -When the system does not work (original installation HDDs missing), 
> "Welcome to GRUB" appears for some time, then the system reboots.
> This is way before loading the kernel.
>
>


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Fri, 03 Feb 2012 23:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 03 Feb 2012 23:30:07 GMT) Full text and rfc822 format available.

Message #105 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Diego Guella <diego.guella@sircomtech.com>
Cc: 611537@bugs.debian.org
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Sat, 04 Feb 2012 00:28:03 +0100
On 03.02.2012 13:04, Diego Guella wrote:
>
> From: "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
>> Both Colin Watson and I tried to reproduce it or similar problems but 
>> couldn't other than on heavily desynced and corrupted disk. If you 
>> can supply the test images (just GRUB+kernel) using latest bzr 
>> upstream I'd happily fix it, otherwise I don't see what I can do.
>
> I need to understand better what you need.
> Do you need the dd images of all the disks?
I think I nailed this bug when doing something completely unrelated.
Does commeinting out all insmod gettext workarounds the problem?

-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Sat, 04 Feb 2012 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 04 Feb 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #110 received at 611537@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Diego Guella <diego.guella@sircomtech.com>
Cc: 611537@bugs.debian.org
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Sat, 04 Feb 2012 01:25:39 +0100
[Message part 1 (text/plain, inline)]
On 03.02.2012 13:04, Diego Guella wrote:
>
> From: "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
>> Both Colin Watson and I tried to reproduce it or similar problems but 
>> couldn't other than on heavily desynced and corrupted disk. If you 
>> can supply the test images (just GRUB+kernel) using latest bzr 
>> upstream I'd happily fix it, otherwise I don't see what I can do.
>
> I need to understand better what you need.
> Do you need the dd images of all the disks?
Here is replacement for getext.c. It had several problems leading it to 
attempt to translate a message about failed translation and failing 
again until stack overflow.
>
> This is a summary of the first disk:
> -----
> root@devilserver:~# fdisk -u -l /dev/sda
>
> Disk /dev/sda: 2000.4 GB, 2000398934016 bytes
> 255 heads, 63 sectors/track, 243201 cylinders, total 3907029168 sectors
> Units = sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
> Disk identifier: 0x0007982f
>
>   Device Boot      Start         End      Blocks   Id  System
> /dev/sda1            2048     1953791      975872   82  Linux swap / 
> Solaris
> Partition 1 does not end on cylinder boundary.
> /dev/sda2         1953792    99610623    48828416   fd  Linux raid 
> autodetect
> /dev/sda3        99610624  3907028991  1903709184   fd  Linux raid 
> autodetect
> -----
>
> Supplying the entire image, even omitting the 3rd partition (/home) is 
> not feasible, both for size (40+GiB) and for security reasons.
> What I can do for sure is blank out one of the 5 disks, and do 
> whatever you tell me to do on it.
> Or supply a dd image of the first 2048 sectors of the disk.
> Or the first sectors of the / partition.
> Or the files in my /boot directory.
>
> I want to remember you this:
> -When the system works, the "Welcome to GRUB" appears for some 
> milliseconds, then I see the GRUB menu.
> -When the system does not work (original installation HDDs missing), 
> "Welcome to GRUB" appears for some time, then the system reboots.
> This is way before loading the kernel.
>
>


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko

[gettext.c (text/x-csrc, attachment)]

Added tag(s) fixed-upstream. Request was from Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com> to control@bugs.debian.org. (Sat, 04 Feb 2012 13:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Mon, 06 Feb 2012 08:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Diego Guella" <diego.guella@sircomtech.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 06 Feb 2012 08:39:14 GMT) Full text and rfc822 format available.

Message #117 received at 611537@bugs.debian.org (full text, mbox):

From: "Diego Guella" <diego.guella@sircomtech.com>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: <611537@bugs.debian.org>
Subject: Re: Bug#611537: Bug#643507: not really solved
Date: Mon, 6 Feb 2012 09:14:18 +0100
From: "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
> On 03.02.2012 13:04, Diego Guella wrote:
>>
>> From: "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
>>> Both Colin Watson and I tried to reproduce it or similar problems but 
>>> couldn't other than on heavily desynced and corrupted disk. If you can 
>>> supply the test images (just GRUB+kernel) using latest bzr upstream I'd 
>>> happily fix it, otherwise I don't see what I can do.
>>
>> I need to understand better what you need.
>> Do you need the dd images of all the disks?
> I think I nailed this bug when doing something completely unrelated.
> Does commeinting out all insmod gettext workarounds the problem?

Yes! I commented 2 lines in /boot/grub/grub.cfg :
-----
set locale_dir=($root)/boot/grub/locale
#set lang=it
#insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###
-----

and I reached the GRUB menu for the first time, booting from the 3rd disk
(one of the disks not used during Debian installation!)

I confirm that this workaround solves the issue.





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#611537; Package grub-pc. (Wed, 28 Mar 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "rollopack@gmail.com" <rollopack@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 28 Mar 2012 15:39:03 GMT) Full text and rfc822 format available.


Message #122 received at 611537@bugs.debian.org (full text, mbox):

From: "rollopack@gmail.com" <rollopack@gmail.com>
To: 611537@bugs.debian.org
Date: Wed, 28 Mar 2012 17:35:16 +0200
Same problem here, very frustrating bug, we have spent some days to
resolve the situation.

Uncommenting
GRUB_TERMINAL=console
resolve the problem

---
uname:
Linux webserver 2.6.32-5-amd64 #1 SMP Thu Mar 22 17:26:33 UTC 2012
x86_64 GNU/Linux

fdisk:
Disk /dev/sda: 250.1 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x000a30dc

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1       29787   239256576   fd  Linux raid
autodetect
/dev/sda2           29787       30402     4940800   82  Linux swap / Solaris

Disk /dev/sdb: 250.1 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x000c4bd4

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1       29787   239256576   fd  Linux raid
autodetect
/dev/sdb2           29787       30402     4940800   82  Linux swap / Solaris

grub-pc version: 1.98+20100804-14+squeeze1 (same problem with 1.99-17)






Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 06 Sep 2012 20:09:11 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 22 Sep 2012 12:03:43 GMT) Full text and rfc822 format available.

Notification sent to Daniel Huhardeaux <devel@tootai.net>:
Bug acknowledged by developer. (Sat, 22 Sep 2012 12:03:43 GMT) Full text and rfc822 format available.

Message #129 received at 611537-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 611537-close@bugs.debian.org
Subject: Bug#611537: fixed in grub2 2.00-1
Date: Sat, 22 Sep 2012 12:00:15 +0000
Source: grub2
Source-Version: 2.00-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 06 Sep 2012 19:04:21 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-emu-dbg grub-pc-bin grub-pc-dbg grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot-dbg grub-coreboot grub-efi-ia32-bin grub-efi-ia32-dbg grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64-dbg grub-efi-amd64 grub-efi-ia64-bin grub-efi-ia64-dbg grub-efi-ia64 grub-ieee1275-bin grub-ieee1275-dbg grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong-dbg grub-yeeloong grub-theme-starfield grub-mount-udeb
Architecture: source i386
Version: 2.00-1
Distribution: experimental
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-coreboot-dbg - GRand Unified Bootloader, version 2 (Coreboot debug files)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-amd64-dbg - GRand Unified Bootloader, version 2 (EFI-AMD64 debug files)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-efi-ia32-dbg - GRand Unified Bootloader, version 2 (EFI-IA32 debug files)
 grub-efi-ia64 - GRand Unified Bootloader, version 2 (IA64 version)
 grub-efi-ia64-bin - GRand Unified Bootloader, version 2 (IA64 binaries)
 grub-efi-ia64-dbg - GRand Unified Bootloader, version 2 (IA64 debug files)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-emu-dbg - GRand Unified Bootloader, version 2 (emulated debug files)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-ieee1275-dbg - GRand Unified Bootloader, version 2 (Open Firmware debug files)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-pc-dbg - GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-theme-starfield - GRand Unified Bootloader, version 2 (starfield theme)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub-yeeloong-dbg - GRand Unified Bootloader, version 2 (Yeeloong debug files)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 463107 549905 550015 550083 551630 564252 567728 570119 595059 611537 612417 612454 612692 616487 619618 626853 630647 630926 632408 635877 637208 643608 646788 654599 654645 666031 675628 676609 677211 677389 685201 685477 686815
Changes: 
 grub2 (2.00-1) experimental; urgency=low
 .
   [ Jordi Mallach, Colin Watson ]
   * New upstream release.
     - Add LUKS and GELI encrypted disk support (closes: #463107).
     - Lazy scanning to avoid accessing devices which aren't really used.
       This avoids boot delay due to slow device scanning (closes: #549905,
       #550015, #550083, #564252, #595059, #632408).
     - Don't override more informative errors when loading kernel/initrd
       (closes: #551630).
     - Support 4K-sector NTFS (closes: #567728).
     - Unify grub-mkrescue interface on powerpc with that on other
       architectures (closes: #570119).
     - Fix infinite recursion in gettext when translation fails (closes:
       #611537, #612454, #616487, #619618, #626853, #643608).
     - Add more missing quotes to grub-mkconfig (closes: #612417).
     - Import gnulib change to fix argp_help segfault with help filter
       (closes: #612692).
     - Support %1$d syntax in grub_printf (closes: #630647).
     - Use write-combining MTRR to speed up video with buggy BIOSes (closes:
       #630926).
     - Remove multiboot header from PXE images to avoid confusing ipxe
       (closes: #635877).
     - Fix crash when attempting to install to a non-BIOS disk (closes:
       #637208).
     - Fix handling of grub-mkrescue --xorriso= option (closes: #646788).
     - Use umask rather than chmod to create grub.cfg.new to avoid insecure
       grub.cfg (closes: #654599).
     - Improve font installation logic (closes: #654645).
     - Add grub-probe info documentation (closes: #666031).
     - Don't crash on canonicalize_file_name failure in grub-probe (closes:
       #677211).
 .
   [ Colin Watson ]
   * Adjust debian/watch to point to xz-compressed tarballs.
   * debian/grub.d/05_debian_theme: Source grub-mkconfig_lib from
     /usr/share/grub, not the /usr/lib/grub compatibility link.
   * Convert to source format 3.0 (quilt).  Developers, note that patches are
     stored applied in bzr; you may want to 'quilt pop -a' / 'quilt push -a'
     around merges.
   * Remove pointless debian/grub-mount-udeb.install.hurd-i386;
     grub-mount-udeb is not built on the Hurd.
   * Refactor debian/grub-common.install.hurd-i386 into .in files so that it
     imposes less of a maintenance burden.
   * Restore grub-mkdevicemap for now.  While it's kind of a mess, requiring
     lots of OS-specific code to iterate over all possible devices, we use it
     in a number of scripts to discover devices and reimplementing those in
     terms of something else would be very complicated.
   * Add grub-efi-ia64-bin and grub-efi-ia64 packages.  These are currently
     experimental, and grub-efi-ia64 does not automatically run grub-install.
   * Build-depend on gcc-4.6-multilib on kfreebsd-i386 and hurd-i386 as well
     as the other i386 architectures, since we need it to build efiemu32.o
     and efiemu64.o.
   * Add per-platform *-dbg packages containing files needed to use GRUB's
     GDB stub.  These are relatively large and thus worth splitting out.
   * Build-depend on ttf-dejavu-core for the starfield theme.
   * Add a grub-theme-starfield package containing the starfield theme.
   * Backport from upstream:
     - Don't decrease efi_mmap_size (LP: #1046429).
   * grub-common Suggests: console-setup for grub-kbdcomp (closes: #686815).
   * Silence error messages when translations are unavailable.
   * Don't pass *.module to dpkg-shlibdeps, avoiding lots of build-time
     warnings.
   * Move transitional package to Section: oldlibs.
   * Acknowledge NMU (closes: #676609).
 .
   [ Debconf translations ]
   * Lithuanian (Rimas Kudelis).  Closes: #675628
   * Galician (Jorge Barreiro).  Closes: #677389
   * Welsh (Daffyd Tomos).
   * Greek (galaxico).  Closes: #685201
   * Romanian (Andrei POPESCU).  Closes: #685477
   * Finnish (Timo Jyrinki).
Checksums-Sha1: 
 0e8d6542071d264169895435eb359103c3d1ef57 4350 grub2_2.00-1.dsc
 274d91e96b56a5b9dd0a07accff69dbb6dfb596b 5136412 grub2_2.00.orig.tar.xz
 db68a68f6540ef6289868c07ff54f15eb62f44e7 327412 grub2_2.00-1.debian.tar.gz
 1cfafafc7432e407864f8f5d18dede242e2e93c6 2492 grub2_2.00-1_i386.deb
 0e8abb2809e83dd1fe1674986b197f2e6f7216a6 1044 grub-linuxbios_2.00-1_i386.deb
 dcbd6917ec282580bf75a095a5d8e87ce89d4cf0 1056 grub-efi_2.00-1_i386.deb
 232232d027909f0ba91991ca4e25a0815696bb98 3762588 grub-common_2.00-1_i386.deb
 a17f6b7d5b79995f089a0d5a05aab4cb0ae6aa80 106252 grub2-common_2.00-1_i386.deb
 b085fb4516d3d79574d25e17a24dcd0d9834c712 4117964 grub-emu_2.00-1_i386.deb
 0973e5bc6a7914daf491f5f294637582216f6fb7 2432750 grub-emu-dbg_2.00-1_i386.deb
 bc7dbee970434dbb382f5dce20dd206e86891372 1120628 grub-pc-bin_2.00-1_i386.deb
 9edbb90e33469e390202729b1195a23467e26aba 3175430 grub-pc-dbg_2.00-1_i386.deb
 6952732fcd842ea0de6b41a790efaf50c4f9b092 171578 grub-pc_2.00-1_i386.deb
 3cc879bfc4e3a3ccb9b738fc77227d1b40cf601e 1894486 grub-rescue-pc_2.00-1_i386.deb
 9194c878440f4eded74141f4c162aa61b4300aa6 702588 grub-coreboot-bin_2.00-1_i386.deb
 1770001f5ae6688eb4b15c654e4e9367163cd3aa 2987770 grub-coreboot-dbg_2.00-1_i386.deb
 8def8e25accc3c2fc045fd9ad0d962b392790a07 45558 grub-coreboot_2.00-1_i386.deb
 bcd89b340377ea2d1bec40e029dd75fea70dc90a 714042 grub-efi-ia32-bin_2.00-1_i386.deb
 474d9f43343979c3bc8be7057cc2fb6b5382a45e 3179820 grub-efi-ia32-dbg_2.00-1_i386.deb
 ce7432ad0015af3d9502fe21dc3d0d03610c13b1 45604 grub-efi-ia32_2.00-1_i386.deb
 a6e35aaf48234deb515584c6bfb0970f8dff2090 756542 grub-efi-amd64-bin_2.00-1_i386.deb
 4ee78b5c0a6c3bf90bc77c198f747dac64e753aa 3482496 grub-efi-amd64-dbg_2.00-1_i386.deb
 723457001ac4fda5de2483844620fe4540d9d8dc 45594 grub-efi-amd64_2.00-1_i386.deb
 a928e213a8b227568fa54245331d55ce07d56374 697416 grub-ieee1275-bin_2.00-1_i386.deb
 05c6e2edee6aa7a705abdfdf9479944a7ef17e6b 2915044 grub-ieee1275-dbg_2.00-1_i386.deb
 2b6d1876eaeb7731f150a0b189458ed779f13dbb 45562 grub-ieee1275_2.00-1_i386.deb
 48ecf5f8b2a59b0656a93d45076fe325f2fb6457 1074756 grub-firmware-qemu_2.00-1_i386.deb
 bd94d1840c97390b5e891081fa75d6dd33819d56 2307298 grub-theme-starfield_2.00-1_i386.deb
 a574e92d26e2495bfaebda226f606b6a137969d2 321936 grub-mount-udeb_2.00-1_i386.udeb
Checksums-Sha256: 
 87bce94d35afc44a3bd1324d8772f9cf1863dc51b960b229710050e20f494c17 4350 grub2_2.00-1.dsc
 784ec38e7edc32239ad75b8e66df04dc8bfb26d88681bc9f627133a6eb85c458 5136412 grub2_2.00.orig.tar.xz
 696818ad576d973fecc5280030533862950798c830308959f10c196d48a04d14 327412 grub2_2.00-1.debian.tar.gz
 b889fa0bcb21620c4939282b409edcf71ba658e3a70f3b1e15fa2009061a3e89 2492 grub2_2.00-1_i386.deb
 6c9406b742cb385988a49100bd9f7316d25abbcc2a3728c63f025f04a54869da 1044 grub-linuxbios_2.00-1_i386.deb
 95764737b4325e86237286cea59b56131bc27816b4b1d3acbc15c76e19ecb965 1056 grub-efi_2.00-1_i386.deb
 2404be384242a3d1424dec59dc0b18fafc3fbdba7b3b2e53c2d6f0603c762d4a 3762588 grub-common_2.00-1_i386.deb
 26c603197c5d7d7e467fdd49a1bc58593379e5cfe8088fc6ecb3aec34ab24417 106252 grub2-common_2.00-1_i386.deb
 a217adc467c73f849753a144fdef35740d6ef43716988715aabb07c704a88e86 4117964 grub-emu_2.00-1_i386.deb
 66166d142e70afb20a5787bf090118ac9c4f23508f5cdbd7df874c39701fceaa 2432750 grub-emu-dbg_2.00-1_i386.deb
 44dd8c28a1fa4fd2eb41410b35bd24cbfed34815619780e01d8e7f7a056d3876 1120628 grub-pc-bin_2.00-1_i386.deb
 25015a06badbb12fb8e98472dc5a43d1cf14d63e0daa3c6cd5fbe164a1e34f00 3175430 grub-pc-dbg_2.00-1_i386.deb
 df2d7aa48a84bbc43e70516b53aba88d442f8946999b5c34a85c9ec6f48c4f1c 171578 grub-pc_2.00-1_i386.deb
 8a1250dca727aa837a625a8c171dc5c506911c2f3f5ab01b2b96d923d9c7a0e1 1894486 grub-rescue-pc_2.00-1_i386.deb
 0733182510e48d99b2529b9146120d115eaa1d517c27ff502b0093cdc96ee6bb 702588 grub-coreboot-bin_2.00-1_i386.deb
 e56c115b3958e22d53f5c558ac3cf0b0495b6e840935c3346c1ede71745050c1 2987770 grub-coreboot-dbg_2.00-1_i386.deb
 c62e816476a498a5a68ba34f0b5bae1bdfc7fd3e6d2aa98247b502f2ed7c5289 45558 grub-coreboot_2.00-1_i386.deb
 68409ef430eea8a1f2cf6ec4bcbb551126f1d54e270e26fd5a6ae850e35a6560 714042 grub-efi-ia32-bin_2.00-1_i386.deb
 9474ac6da6fb4aa073cbdae11e1359cb172f57f3898b1db789382c4180dc2935 3179820 grub-efi-ia32-dbg_2.00-1_i386.deb
 d84002ae1d53ce4af5d84b65203dac959b320eaf2fd7233dd784be77f9536f4f 45604 grub-efi-ia32_2.00-1_i386.deb
 940a66b622cfe83c94ab5931182c97a6dc880d7b41036581d0f1d212026a9eb2 756542 grub-efi-amd64-bin_2.00-1_i386.deb
 a44429a0c8bde454cb57427d901b7886ba6b770042cb4c38ab035da821ccd460 3482496 grub-efi-amd64-dbg_2.00-1_i386.deb
 25a57993f09c64046c96d3a4813d51299673ba656df66b444546727ea4fdc491 45594 grub-efi-amd64_2.00-1_i386.deb
 551f655301ec4b2456f3a3b3ffa07dd0e6501c944194e8a358c7da419f5b6496 697416 grub-ieee1275-bin_2.00-1_i386.deb
 1aa8088709589839e9d30ded4b1c91b26a757c9f2dcf0672584feea96146d1f0 2915044 grub-ieee1275-dbg_2.00-1_i386.deb
 5b2be9fcbae32eb5cce13e4ca403879b2fd8208cb4270362db77f3a57e31cd33 45562 grub-ieee1275_2.00-1_i386.deb
 1d807edf2f5c4401333b0050cd238dede96c459d9b00b5d8d044dfa34c9d01c5 1074756 grub-firmware-qemu_2.00-1_i386.deb
 fcdef37e151a04bc56656fc32fb059e1812251b62954a051d7902b28750bcb96 2307298 grub-theme-starfield_2.00-1_i386.deb
 cbad5290700c291b8e82116a5fab4b22e4ee030bff9f0c4307b876687a0aa78c 321936 grub-mount-udeb_2.00-1_i386.udeb
Files: 
 2b786b46fbee680fe2e4330acf374a96 4350 admin extra grub2_2.00-1.dsc
 a1043102fbc7bcedbf53e7ee3d17ab91 5136412 admin extra grub2_2.00.orig.tar.xz
 86389c3a90718b4d6d25cbf9ec8a2804 327412 admin extra grub2_2.00-1.debian.tar.gz
 a06cefd86a24cfb7acd6f06afed801c9 2492 oldlibs extra grub2_2.00-1_i386.deb
 69d17bae1d6a4b063cd06b7bc8d105f4 1044 oldlibs extra grub-linuxbios_2.00-1_i386.deb
 23b2798e6f04d525591465e87fcd195b 1056 oldlibs extra grub-efi_2.00-1_i386.deb
 920f6bce7034e2b1e7e2e01e732051ec 3762588 admin optional grub-common_2.00-1_i386.deb
 d9a40bb8587db5fc167697c96e1fe149 106252 admin optional grub2-common_2.00-1_i386.deb
 698f1966cbd9b7ea3ef0b607de55001e 4117964 admin extra grub-emu_2.00-1_i386.deb
 303334ccae988962a22feb47ce33804d 2432750 debug extra grub-emu-dbg_2.00-1_i386.deb
 fa6b4a5f978ad8c376a163b89172f7b0 1120628 admin optional grub-pc-bin_2.00-1_i386.deb
 8688767778b390d42f86a0c410e364fa 3175430 debug extra grub-pc-dbg_2.00-1_i386.deb
 25947f6a831ca427df80ae062e93668c 171578 admin optional grub-pc_2.00-1_i386.deb
 73a8f3551608ba060356b820b2871e67 1894486 admin extra grub-rescue-pc_2.00-1_i386.deb
 1b86648577dee2e62ccf387955eb624b 702588 admin extra grub-coreboot-bin_2.00-1_i386.deb
 1055653d63d618ab3ab21141f22c45be 2987770 debug extra grub-coreboot-dbg_2.00-1_i386.deb
 9ddbc6708ec9ab1424b8e2aea6924441 45558 admin extra grub-coreboot_2.00-1_i386.deb
 679dd7af908bac5736d1069d8152a26f 714042 admin extra grub-efi-ia32-bin_2.00-1_i386.deb
 1a8ab8dee156da208436d784fa6c9b4f 3179820 debug extra grub-efi-ia32-dbg_2.00-1_i386.deb
 7490e0e065e02e9e3715dff2d9a88aa6 45604 admin extra grub-efi-ia32_2.00-1_i386.deb
 5251e374a5c921e1eb046acca2e19aab 756542 admin extra grub-efi-amd64-bin_2.00-1_i386.deb
 18f313fcbecd93067e737aa1910d2f42 3482496 debug extra grub-efi-amd64-dbg_2.00-1_i386.deb
 fe8b1312bb4499efeb2bdf71d1a6819f 45594 admin extra grub-efi-amd64_2.00-1_i386.deb
 0f3e4dd0d5094f7b40bf4805baa1abaf 697416 admin extra grub-ieee1275-bin_2.00-1_i386.deb
 09375eb7788b30ed5a39a4559379ea4e 2915044 debug extra grub-ieee1275-dbg_2.00-1_i386.deb
 48aa0581825503f991274d77142a9ede 45562 admin extra grub-ieee1275_2.00-1_i386.deb
 8465e83d545b6a5ab41ef94e18264332 1074756 admin extra grub-firmware-qemu_2.00-1_i386.deb
 a88c2269df65c843dd1554627b83ef9a 2307298 admin extra grub-theme-starfield_2.00-1_i386.deb
 06303b8e9bd76c3f6fadb95d7eacd38e 321936 debian-installer extra grub-mount-udeb_2.00-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUEj1Kzk1h9l9hlALAQhdCw//UT5yu20xEdVm1q/uBIQZLl0BnTfWhgXS
g/1nhXqt4fqZ5q4pg968WWiEalX3JE51v1497SAd+8J4pQIQBEaH+hMIZMEozFhF
J0+huqEbQOLsXdvNmXfP+NU8emUnqorBlep5Z05HAZvLvX+zldO88AUljzd0eSxJ
63HHoXSFJ3ZudIMw1HXLYMGrWQBOPf+hGclz6KhasqDE9hugeJ73in+889lrco2O
6Z6/zbLbrw2bc+61EpBrIjCf3MKIrloSKDU8RXymgRe+fTzDLg6lGUOFKexEGiCA
OOSKfsVBPSQwPfTj1S3hr8WC7MSoq1SfwqyJLGG4SwTRHJpVyESK6enEMry/sGcV
PZZMrG57tQSJkkQYMNxgf3xT/aoxbzYsB9nQy5n1GYLXg56XQ/9eHcmNCLb+a/G1
20W0VIikEaLKSQrUKZaaNJAs4P6CbY04HLvGxO5IFsaDV2yACMq69/s90TYSlKn8
QtaW7EEGSLZWJRL6RFMOOVMVbY8v+wyA7cWgylCfTgeSUM7Yy8wXF7+7w0YYbaHD
APKRLu5Aa+FwvOWrO8j/Z5qQsR8SXHPBxpnkxtWDtIwUuE/x14H/VDNA+81EcE4A
xi6vurmPxZY2Ys9VSEgozXIl9mYkZ8BGh/X/ZNCBgGKEXZ7eL/+Tz5uxIyd/9mzp
aZgK5GjSPJ8=
=V3fT
-----END PGP SIGNATURE-----




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 22 Sep 2012 12:03:45 GMT) Full text and rfc822 format available.

Notification sent to Daniel Huhardeaux <devel@tootai.net>:
Bug acknowledged by developer. (Sat, 22 Sep 2012 12:03:45 GMT) Full text and rfc822 format available.

Message #134 received at 611537-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 611537-close@bugs.debian.org
Subject: Bug#611537: fixed in grub2 2.00-4
Date: Sat, 22 Sep 2012 12:00:28 +0000
Source: grub2
Source-Version: 2.00-4

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 14 Sep 2012 13:38:37 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-emu-dbg grub-pc-bin grub-pc-dbg grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot-dbg grub-coreboot grub-efi-ia32-bin grub-efi-ia32-dbg grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64-dbg grub-efi-amd64 grub-efi-ia64-bin grub-efi-ia64-dbg grub-efi-ia64 grub-ieee1275-bin grub-ieee1275-dbg grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong-dbg grub-yeeloong grub-theme-starfield grub-mount-udeb
Architecture: source i386
Version: 2.00-4
Distribution: experimental
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-coreboot-dbg - GRand Unified Bootloader, version 2 (Coreboot debug files)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-amd64-dbg - GRand Unified Bootloader, version 2 (EFI-AMD64 debug files)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-efi-ia32-dbg - GRand Unified Bootloader, version 2 (EFI-IA32 debug files)
 grub-efi-ia64 - GRand Unified Bootloader, version 2 (IA64 version)
 grub-efi-ia64-bin - GRand Unified Bootloader, version 2 (IA64 binaries)
 grub-efi-ia64-dbg - GRand Unified Bootloader, version 2 (IA64 debug files)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-emu-dbg - GRand Unified Bootloader, version 2 (emulated debug files)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-ieee1275-dbg - GRand Unified Bootloader, version 2 (Open Firmware debug files)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-pc-dbg - GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-theme-starfield - GRand Unified Bootloader, version 2 (starfield theme)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub-yeeloong-dbg - GRand Unified Bootloader, version 2 (Yeeloong debug files)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 463107 549905 550015 550083 551630 564252 567728 570119 595059 611537 612417 612454 612692 616487 619618 626853 630647 630926 632408 635877 637208 643608 646788 654599 654645 666031 675628 676609 677211 677389 685201 685477 686815
Launchpad-Bugs-Fixed: 1046429
Changes: 
 grub2 (2.00-4) experimental; urgency=low
 .
   * Fix platform postinsts to handle new core.img location.
   * Only fix up powerpc key repeat on IEEE1275 machines.  Fixes powerpc-emu
     compilation.
   * Move grub-install to grub2-common, since it's now common across
     platforms but clashes with grub-legacy.
   * Move grub-mknetdir to grub-common, since it's now common across
     platforms.
   * Make grub-install fall back to i386-pc if booted using EFI but the
     relevant *-efi target is not available (because only grub-pc is
     installed).
 .
 grub2 (2.00-3) experimental; urgency=low
 .
   * Use dh-autoreconf.
   * Bail out if trying to run grub-mkconfig during upgrade to 2.00 (e.g.
     while configuring a kernel image), since the old /etc/grub.d/00_header
     conffile breaks until such time as grub-common is configured.
 .
 grub2 (2.00-2) experimental; urgency=low
 .
   * Add -Wno-error=unused-result to HOST_CFLAGS for the moment, since at
     least grub-core/lib/crypto.c fails to compile on Ubuntu otherwise.
   * Update default/grub.md5sum to include Ubuntu maverick's default md5sum.
   * Autogenerate packaging files for grub-emu, in order that its postinst
     does not contain unexpanded @PACKAGE@ symbols.
   * Only try to install efiemu*.o into grub-emu on *-i386.
 .
 grub2 (2.00-1) experimental; urgency=low
 .
   [ Jordi Mallach, Colin Watson ]
   * New upstream release.
     - Add LUKS and GELI encrypted disk support (closes: #463107).
     - Lazy scanning to avoid accessing devices which aren't really used.
       This avoids boot delay due to slow device scanning (closes: #549905,
       #550015, #550083, #564252, #595059, #632408).
     - Don't override more informative errors when loading kernel/initrd
       (closes: #551630).
     - Support 4K-sector NTFS (closes: #567728).
     - Unify grub-mkrescue interface on powerpc with that on other
       architectures (closes: #570119).
     - Fix infinite recursion in gettext when translation fails (closes:
       #611537, #612454, #616487, #619618, #626853, #643608).
     - Add more missing quotes to grub-mkconfig (closes: #612417).
     - Import gnulib change to fix argp_help segfault with help filter
       (closes: #612692).
     - Support %1$d syntax in grub_printf (closes: #630647).
     - Use write-combining MTRR to speed up video with buggy BIOSes (closes:
       #630926).
     - Remove multiboot header from PXE images to avoid confusing ipxe
       (closes: #635877).
     - Fix crash when attempting to install to a non-BIOS disk (closes:
       #637208).
     - Fix handling of grub-mkrescue --xorriso= option (closes: #646788).
     - Use umask rather than chmod to create grub.cfg.new to avoid insecure
       grub.cfg (closes: #654599).
     - Improve font installation logic (closes: #654645).
     - Add grub-probe info documentation (closes: #666031).
     - Don't crash on canonicalize_file_name failure in grub-probe (closes:
       #677211).
 .
   [ Colin Watson ]
   * Adjust debian/watch to point to xz-compressed tarballs.
   * debian/grub.d/05_debian_theme: Source grub-mkconfig_lib from
     /usr/share/grub, not the /usr/lib/grub compatibility link.
   * Convert to source format 3.0 (quilt).  Developers, note that patches are
     stored applied in bzr; you may want to 'quilt pop -a' / 'quilt push -a'
     around merges.
   * Remove pointless debian/grub-mount-udeb.install.hurd-i386;
     grub-mount-udeb is not built on the Hurd.
   * Refactor debian/grub-common.install.hurd-i386 into .in files so that it
     imposes less of a maintenance burden.
   * Restore grub-mkdevicemap for now.  While it's kind of a mess, requiring
     lots of OS-specific code to iterate over all possible devices, we use it
     in a number of scripts to discover devices and reimplementing those in
     terms of something else would be very complicated.
   * Add grub-efi-ia64-bin and grub-efi-ia64 packages.  These are currently
     experimental, and grub-efi-ia64 does not automatically run grub-install.
   * Build-depend on gcc-4.6-multilib on kfreebsd-i386 and hurd-i386 as well
     as the other i386 architectures, since we need it to build efiemu32.o
     and efiemu64.o.
   * Add per-platform *-dbg packages containing files needed to use GRUB's
     GDB stub.  These are relatively large and thus worth splitting out.
   * Build-depend on ttf-dejavu-core for the starfield theme.
   * Add a grub-theme-starfield package containing the starfield theme.
   * Backport from upstream:
     - Don't decrease efi_mmap_size (LP: #1046429).
   * grub-common Suggests: console-setup for grub-kbdcomp (closes: #686815).
   * Silence error messages when translations are unavailable.
   * Don't pass *.module to dpkg-shlibdeps, avoiding lots of build-time
     warnings.
   * Move transitional package to Section: oldlibs.
   * Acknowledge NMU (closes: #676609).
 .
   [ Debconf translations ]
   * Lithuanian (Rimas Kudelis).  Closes: #675628
   * Galician (Jorge Barreiro).  Closes: #677389
   * Welsh (Daffyd Tomos).
   * Greek (galaxico).  Closes: #685201
   * Romanian (Andrei POPESCU).  Closes: #685477
   * Finnish (Timo Jyrinki).
Checksums-Sha1: 
 d46402fe8cdd48f814cbc7396ccc6c25c483831e 4365 grub2_2.00-4.dsc
 f300bee8a513d9c1781af9ef3c7f070eb33ffaae 329432 grub2_2.00-4.debian.tar.gz
 04ad88c322046f2fc03aec9687a89b5667719c64 2486 grub2_2.00-4_i386.deb
 c006ace3af211bef3f0b6ccd0c035efe05774cc1 1046 grub-linuxbios_2.00-4_i386.deb
 f0bd155c082658f5b59495d39209ade1b924a102 1060 grub-efi_2.00-4_i386.deb
 60a24772c8f1d57a682b6c7987ceef6b80e51f01 3766182 grub-common_2.00-4_i386.deb
 e02bf9e7a7a493de200cca2c3e12e53eb19dafb2 116508 grub2-common_2.00-4_i386.deb
 16c45e20ed83d1bbb4930c4410024c394e165b7c 4117904 grub-emu_2.00-4_i386.deb
 c8ff679007c8ff80ce6367f2edecb87afd3cbb16 2432460 grub-emu-dbg_2.00-4_i386.deb
 b44b4b2dca0fc7d8107f68a96b3849cc1bbd70a1 1107944 grub-pc-bin_2.00-4_i386.deb
 74bdad2d6e5c03259e6eb08b0ad03730fc413291 3175588 grub-pc-dbg_2.00-4_i386.deb
 760d521ab50321e397cfb91a3cfac46e0ccf19c9 169276 grub-pc_2.00-4_i386.deb
 8d7f672f6a201c593ec878f70911f0ed8e8eb047 1895078 grub-rescue-pc_2.00-4_i386.deb
 2c96f2e221f6fc591d7fca67827a0d33c166c5ab 690166 grub-coreboot-bin_2.00-4_i386.deb
 a44b4793132ac6b06847b988d07b38ec62450107 2987824 grub-coreboot-dbg_2.00-4_i386.deb
 7afbebda342e9d644092cbf7c89767376b2222be 43260 grub-coreboot_2.00-4_i386.deb
 c0353d48618e933c85fe14a59df8074dbb9ce950 700848 grub-efi-ia32-bin_2.00-4_i386.deb
 cd14c4339a58ed0b62b871b481303d3bb8feb321 3180066 grub-efi-ia32-dbg_2.00-4_i386.deb
 4fb18d25a67c49db0759d5c15854b2efb53e8ac1 43306 grub-efi-ia32_2.00-4_i386.deb
 b6a38596cc84f4d546db2b67fa6d31a0d17f59fc 744406 grub-efi-amd64-bin_2.00-4_i386.deb
 3c6c2f8f720dec98c4856115aa8c0c8bb6c166a5 3481890 grub-efi-amd64-dbg_2.00-4_i386.deb
 b40b108135b4256d5df637a26d4f42ed267eb30d 43298 grub-efi-amd64_2.00-4_i386.deb
 14c9ae3b1caa8df89708e2dd16cc48f8b30f80e7 684512 grub-ieee1275-bin_2.00-4_i386.deb
 a0355123910c01c4762d2b76feaab0d0eb34b4ec 2914840 grub-ieee1275-dbg_2.00-4_i386.deb
 9733dc8e456f280ac90f3ac646e0bcf03c0c66f2 43262 grub-ieee1275_2.00-4_i386.deb
 a8344e4164bdc5eccfa2a2bd66cde486db4a6d8f 1075434 grub-firmware-qemu_2.00-4_i386.deb
 addb81fc78426f09642af3e7e15e5e840de8b30f 2307304 grub-theme-starfield_2.00-4_i386.deb
 8daaddf563e0a44e9003ce9be9c3ba1b2c495d68 322142 grub-mount-udeb_2.00-4_i386.udeb
Checksums-Sha256: 
 622b48ba2f3b25c1a80c27c602cee86093cc2aa4a0495e19ea84c45285798192 4365 grub2_2.00-4.dsc
 65523629a070d7c7a25d05838307e54b9051e3d97c146f7acf1367b2316fafb7 329432 grub2_2.00-4.debian.tar.gz
 4c5203530a907f0f826c70809586b9999c4d4ae0575d7371116201b7bff86e60 2486 grub2_2.00-4_i386.deb
 88c21b35b8df86c88d53f85e5799f5abf6a9ebd0e45c81e360b8437ca3c18c2d 1046 grub-linuxbios_2.00-4_i386.deb
 195134c143729d01f065322473bc1940715303ade6351a9b463845e6ecc43539 1060 grub-efi_2.00-4_i386.deb
 1e99dbb90b6ccce58c0e94f59aee9613c2190d1b630fd23e7ace6fbd22742428 3766182 grub-common_2.00-4_i386.deb
 55ec086f8fe52e67b0aadce57636d17c96d7324ecb8d938ee3973bd57357bfde 116508 grub2-common_2.00-4_i386.deb
 6db8a2156e6700d0cdf6f68d862ea4cf7e3d7e36a2b5c5121b15c5612acca0f2 4117904 grub-emu_2.00-4_i386.deb
 a4ad5dfff381e30230b0d6c9b3f191b589728e35ff9c027bd42a24701a365934 2432460 grub-emu-dbg_2.00-4_i386.deb
 67fd51e5bc0b39ab5db527d0b49483dc85dea8eac4f1e12509e4c3970e696530 1107944 grub-pc-bin_2.00-4_i386.deb
 7461d8ff5eaec172a5784e31b96a8af3f578b20c06d950cbba93e9de69559912 3175588 grub-pc-dbg_2.00-4_i386.deb
 7b7f348cfbbdd99a1aa48a9cf7f300190d740837ca2ca5affc42f6e7a2295f32 169276 grub-pc_2.00-4_i386.deb
 dc7a3cefc6657c38c19ed82db5af19ee3aa2b8de722c9f6010737e1dd1ad48bd 1895078 grub-rescue-pc_2.00-4_i386.deb
 c4837a69f6c5ef52cb760b59a5fd0a6401bccea2045560fa28c440476edba3f8 690166 grub-coreboot-bin_2.00-4_i386.deb
 25f4813e23d833564ecb8ecb12a080dee1f2c4d73cb286efba7d18f93a62a9e9 2987824 grub-coreboot-dbg_2.00-4_i386.deb
 75ef5435a388b5c266f416ea3ab789fc76608ea940f6da6d648fe0ab728a1057 43260 grub-coreboot_2.00-4_i386.deb
 8c93ce56a19d2b42bc9e613cbfdc9c42bf5c6908b73d01439bd299bc24ad7ba6 700848 grub-efi-ia32-bin_2.00-4_i386.deb
 32b708a35afe7aad96425118f379a8da1c5382aadbc837d6298f5657795cc529 3180066 grub-efi-ia32-dbg_2.00-4_i386.deb
 baacec28d4fcf7d61db58cf10e2a10050a60c7f48f399742c308d16c413b8445 43306 grub-efi-ia32_2.00-4_i386.deb
 898f42f751e7db9612773e0f8688547337b4dfdc7454984fc9dcb5c7c8e0cc74 744406 grub-efi-amd64-bin_2.00-4_i386.deb
 24d431f58010b91d9c4d1a9329067c9ef2fd84adcb5458273a08f77d39a87884 3481890 grub-efi-amd64-dbg_2.00-4_i386.deb
 70ef67a8c028661fa3ffa10d1f98509ac7347aa625fa41e29b653ffaab54ae0b 43298 grub-efi-amd64_2.00-4_i386.deb
 4e1b50c24abb6e8485669dbf43757aa5d41e6b29622cd9efef5e3e44b3284c47 684512 grub-ieee1275-bin_2.00-4_i386.deb
 82ba05d3b632167a38fca33bcb7765ae519a06c51d584a563c69e8b7773e0144 2914840 grub-ieee1275-dbg_2.00-4_i386.deb
 6839826dac37862b277e2e44052d23b0c091e10697960ed1373380665f4b943f 43262 grub-ieee1275_2.00-4_i386.deb
 9723e841e0a1c8671a560a14f9cc9f6da9f4b49cefecf7d62aa802d3e1c428f2 1075434 grub-firmware-qemu_2.00-4_i386.deb
 559494a7838f942fbbd77768ffef80bdebf780c36cbb82a83f0642cb52c47fd5 2307304 grub-theme-starfield_2.00-4_i386.deb
 5aa44ebee3ec4037128a8035223d0f820634a4e80d1caf2a9b9e75efb76ebdd7 322142 grub-mount-udeb_2.00-4_i386.udeb
Files: 
 c6cf629082af3dd00cfbc202205e2929 4365 admin extra grub2_2.00-4.dsc
 4d0da0022eec9174b3fa9b85fad8c46f 329432 admin extra grub2_2.00-4.debian.tar.gz
 15429fa0bde2fde22ee516e78a4bbbe0 2486 oldlibs extra grub2_2.00-4_i386.deb
 81a02c82322c741e9c5b54afdce79f4f 1046 oldlibs extra grub-linuxbios_2.00-4_i386.deb
 01b3d94fc26c84896284cebedf7709d2 1060 oldlibs extra grub-efi_2.00-4_i386.deb
 8421edf6520428a9eddd74834a96e551 3766182 admin optional grub-common_2.00-4_i386.deb
 8b895b4807dac88df3a65ea6ea7b05d7 116508 admin optional grub2-common_2.00-4_i386.deb
 3d47314e19b67e0c39b7e7b0525c559d 4117904 admin extra grub-emu_2.00-4_i386.deb
 25ac90761fcdbd6c531a2e73ffcd71d0 2432460 debug extra grub-emu-dbg_2.00-4_i386.deb
 4a215740a3bee6ec8915d0cd42e607ab 1107944 admin optional grub-pc-bin_2.00-4_i386.deb
 5088324a276b4dd197dfa61804130b2c 3175588 debug extra grub-pc-dbg_2.00-4_i386.deb
 561373f82a488b9b07534686e03eaada 169276 admin optional grub-pc_2.00-4_i386.deb
 ace3306fd19c96b6dc592ec75368d66f 1895078 admin extra grub-rescue-pc_2.00-4_i386.deb
 fe3f2e39d6286011d1379445492997f0 690166 admin extra grub-coreboot-bin_2.00-4_i386.deb
 6fd21a2624bc7bddda1b2c0acc567a97 2987824 debug extra grub-coreboot-dbg_2.00-4_i386.deb
 08e6a1240cdc58d31d655d9cf8557064 43260 admin extra grub-coreboot_2.00-4_i386.deb
 b1a6cb2301911eda61512cd9a628836b 700848 admin extra grub-efi-ia32-bin_2.00-4_i386.deb
 5e685f24dba5fd8f4f0fe04d26d319fe 3180066 debug extra grub-efi-ia32-dbg_2.00-4_i386.deb
 61e1ea1fae1698dff75ac3c6f495f910 43306 admin extra grub-efi-ia32_2.00-4_i386.deb
 167e4212386a6b3840b5a69ebd1d36cb 744406 admin extra grub-efi-amd64-bin_2.00-4_i386.deb
 50a1052e00ae9de78a1a0431231b8ed0 3481890 debug extra grub-efi-amd64-dbg_2.00-4_i386.deb
 e63e857e0acd375ebc64ff6372ec6249 43298 admin extra grub-efi-amd64_2.00-4_i386.deb
 777fdd5107c97f74d2932a247e3cc6be 684512 admin extra grub-ieee1275-bin_2.00-4_i386.deb
 f51ebbec91632476bebe04557c84d6c9 2914840 debug extra grub-ieee1275-dbg_2.00-4_i386.deb
 2a127768b1945394f92e496240522bb8 43262 admin extra grub-ieee1275_2.00-4_i386.deb
 fe1967ffeefdb3a15ac64824cf3be997 1075434 admin extra grub-firmware-qemu_2.00-4_i386.deb
 8fb23a159ea79c492751c349429c3df3 2307304 admin extra grub-theme-starfield_2.00-4_i386.deb
 ef14176ac46a2e1857f714c26ef40905 322142 debian-installer extra grub-mount-udeb_2.00-4_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUFNc8Tk1h9l9hlALAQhclg//YrGLCImBwGZFoapGpc+ty5wJezy9KkMg
NMOXU1+PBRA/SFb/yvu8SmQx3cIyJNw+678cetfB6skYzxHXmKv7NG/rF6udU8PT
BdHAFkprUeD3OafAQFafzwPNY2ccQ+QQtfa6BGePtdK9SKC7tmOae9paBWpH/HIv
0u+FlC964J6IR9lm9SBoHkwTvNrU8F5WNECa9r9j8PJWudZy7NSkZiirdndb8JcX
JS06sS3AhcgbMaNhrBgKEdv60PXXBaChBaBv5bnXGNljJW0Ujf2Xh0+1nBeJUy7R
4ZoGi0PmAzb9B6YUaNH9n5+TplAjcFNqltCsjJDCC4+SDjs5tSiidCJpKNBfAIjt
lawq18/C48kfNJct3B/NIGqjk/CnWluaG8Xfdu6mwObTSg1RB7Ny0TR0k65w7TDL
MPD4ETI1QNyXP10w3xujLSW2Y+FQcPvux2/HhXHhTGYGwk/CbRPIMWSIlMpQ3I2O
V8LdLqC3TF6ztFj1nnfCOoI5xwo54KI4GtcqxRt5nPIMoA6AJcUhVAkqfe7GPPeD
lmr5xJNeEDKlZTHmRYZsm5O6ndY0FDrQUifSYLTp8Hc4n1FTJYGXF2V2QCt1X6zI
fEWxfbxSiUdSYWBpqK3k59WE7JXY/BWc7UK1nLCClLWAMefCoJw1eqpo4ZskfoXg
sjPaxHqvX/c=
=BQQW
-----END PGP SIGNATURE-----




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Fri, 28 Dec 2012 17:51:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Huhardeaux <devel@tootai.net>:
Bug acknowledged by developer. (Fri, 28 Dec 2012 17:51:05 GMT) Full text and rfc822 format available.

Message #139 received at 611537-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 611537-close@bugs.debian.org
Subject: Bug#611537: fixed in grub2 1.99-24
Date: Fri, 28 Dec 2012 17:47:53 +0000
Source: grub2
Source-Version: 1.99-24

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 28 Dec 2012 13:01:38 +0000
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-pc-bin grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot grub-efi-ia32-bin grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64 grub-ieee1275-bin grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong grub-mount-udeb
Architecture: source i386
Version: 1.99-24
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 611537 612454 616487 619618 626853 643608 661789 687681
Changes: 
 grub2 (1.99-24) unstable; urgency=low
 .
   * Acknowledge NMU with thanks.
   * Fix namespace of EFI boot failure patch file added in NMU.
   * Copy unicode.pf2 to /boot/grub/ for EFI installs so that it is more
     likely to be readable by GRUB (closes: #661789).
   * Fix infinite recursion in gettext when translation fails (closes:
     #611537, #612454, #616487, #619618, #626853, #643608).
   * Fix grammar in Finnish translation (closes: #687681).
Checksums-Sha1: 
 3a25368397147b14694d17abaa2e4fdb1d75daec 3757 grub2_1.99-24.dsc
 42693ca696f216177295e20cda437aa6ed0de4a5 420650 grub2_1.99-24.diff.gz
 cc51d8cccb9bad2a6aea6154a4467e2b8441839d 2494 grub2_1.99-24_i386.deb
 95efeec699af8c78e245b8ef12e2453c02363f04 1088 grub-linuxbios_1.99-24_i386.deb
 f02cba3fc3a87a5f99d9b942c2b3b63e91a3b3de 1096 grub-efi_1.99-24_i386.deb
 18dbde7ad0eb1acbaa710aea46e4cf899a5bc8c0 1550202 grub-common_1.99-24_i386.deb
 5a12c56456698a9a9737baccab4271c041e802cf 94310 grub2-common_1.99-24_i386.deb
 a10610e7a7b362d5a7d2776f38395b8eb6d5a97a 1616626 grub-emu_1.99-24_i386.deb
 3f21a4990568065797111a45aa0756d18476f1ca 640068 grub-pc-bin_1.99-24_i386.deb
 d34b1690c2a1e920e84fd97b9ae1110eca4f57be 170034 grub-pc_1.99-24_i386.deb
 73ac841eea33b88f0d1d87253cb113ce4a503d7a 821706 grub-rescue-pc_1.99-24_i386.deb
 4df37e94f60031709fa618a3883a3df2a8b29178 447876 grub-coreboot-bin_1.99-24_i386.deb
 5da1aadf37fbfad5c7f599e511760faaf78395d4 45016 grub-coreboot_1.99-24_i386.deb
 018f38698eb1fb360be96a28f5e0c3b2d0b1565e 455956 grub-efi-ia32-bin_1.99-24_i386.deb
 abfd7298d6aa9d9aa8d9d487d9e8eaa01fdfcb84 45106 grub-efi-ia32_1.99-24_i386.deb
 7b8aaeb547bdb13173bf97700849586d0cc11779 476352 grub-efi-amd64-bin_1.99-24_i386.deb
 07c250abecaf9793e1df234f61b1588b7bdc41dc 45100 grub-efi-amd64_1.99-24_i386.deb
 a107c2627cd52b8dac222cefd84feee9c8969d21 446022 grub-ieee1275-bin_1.99-24_i386.deb
 700999b528a54bc77836bcab01dbfcd148b28f56 45050 grub-ieee1275_1.99-24_i386.deb
 34cc47f48d144af5563b30c3d4c49a8f5cab361d 760334 grub-firmware-qemu_1.99-24_i386.deb
 cca82e12b8cd5c477b60252529bde8642715f0e0 177292 grub-mount-udeb_1.99-24_i386.udeb
Checksums-Sha256: 
 9039327b0764f72387ecf04ba6a1e65297d7e31b2e00fd7b96f1251f4f789bae 3757 grub2_1.99-24.dsc
 89a0c5d8d94b10310dce5f48db25b82ae2f94ea378ca87ee4859ba5e0b03617c 420650 grub2_1.99-24.diff.gz
 7ff1925e76da48cc5170590a27bebbfedb33effeb4f0342da206974b1058ce8c 2494 grub2_1.99-24_i386.deb
 f87bd5758dee683774e4f08891fc468f8316ec003ad424971db964648ba3baec 1088 grub-linuxbios_1.99-24_i386.deb
 c0f9fe5a6faeb77297adaac219391c7663178799b3089677156d5ae52f2fd22d 1096 grub-efi_1.99-24_i386.deb
 34d5f20aa1a04035800c0abfd9d16be5eee7472955cf683aac2dba10aa2899e8 1550202 grub-common_1.99-24_i386.deb
 3c485f2714b8f22120abf5c25bd78b9037cd223d985b5c4c6a22e8714d722738 94310 grub2-common_1.99-24_i386.deb
 1267547243a68a2a3e09828c26d778a4b4b8fe3eb5e45310038dd465d9f31099 1616626 grub-emu_1.99-24_i386.deb
 f90c33754a9986905b1d902c2315046e7b185da1ad6b2c5c165aaa96ff2fa726 640068 grub-pc-bin_1.99-24_i386.deb
 62a2150b8dd19c3c116b10f455455e2b9eacec57ad7d5391640ac94bd13a58a4 170034 grub-pc_1.99-24_i386.deb
 b854494c6ffef11c201893414e15c59b8d558a183bdfde8a60ad0e2889b3f16c 821706 grub-rescue-pc_1.99-24_i386.deb
 8b349ecc80ae3fa08466df21bab24477b26301f44fbad167394c0230249b7745 447876 grub-coreboot-bin_1.99-24_i386.deb
 46b7371bf63e41261968a0c701a8c87a7866be4208ac835eee0d161878ddd14e 45016 grub-coreboot_1.99-24_i386.deb
 8c7e0963b59c833d847cd9950c61d7087a3975dd387d3835a5c68e35c7b3e802 455956 grub-efi-ia32-bin_1.99-24_i386.deb
 72545ec2ab847fca36ca1b6f705ca9d6fb893a2e9afaabfd4ea1d332a6a44058 45106 grub-efi-ia32_1.99-24_i386.deb
 257b940048489fbd14e2273335febe787b8b6c8f37a2f5f244b1dfd7a4a6e40d 476352 grub-efi-amd64-bin_1.99-24_i386.deb
 6ed78f29a42524023bea64dc638f9ddafd76e99f441d1de7677d9cf73c4c95b2 45100 grub-efi-amd64_1.99-24_i386.deb
 3cf4150848c458d8efc5866ef3194e63804bd87a6fc2912bd3a740c52c371dbd 446022 grub-ieee1275-bin_1.99-24_i386.deb
 105e471ac82b22b5c3f31d710440a131d1d4e2a19f51777b67c8964a330776ed 45050 grub-ieee1275_1.99-24_i386.deb
 0f75b5505ca43ec5240791b6d817765de013bee1f44fa0c29f3bf982b4cf72fe 760334 grub-firmware-qemu_1.99-24_i386.deb
 6d089a1a7e6053a482294c452142b92a52d6b7bd989c2a66d9a720a09497b4d0 177292 grub-mount-udeb_1.99-24_i386.udeb
Files: 
 747c2ae7abcc9504fdaa66fdafd5abd3 3757 admin extra grub2_1.99-24.dsc
 3176e776ed044d8b252153b0359b1723 420650 admin extra grub2_1.99-24.diff.gz
 e72ace7861f76a7ffe29b2f425c20271 2494 admin extra grub2_1.99-24_i386.deb
 c0c219b26e4fcf928c68302f141d12f4 1088 admin extra grub-linuxbios_1.99-24_i386.deb
 8f10e9284a9a78006e6caa0602c53b17 1096 admin extra grub-efi_1.99-24_i386.deb
 ab9d704d06bd02174942fc563a9028a3 1550202 admin optional grub-common_1.99-24_i386.deb
 2c220119d1f72cac1622f4f25b73c6fe 94310 admin optional grub2-common_1.99-24_i386.deb
 fec4313e139e8329c66479a009b034db 1616626 admin extra grub-emu_1.99-24_i386.deb
 dab21d7abff19f2bc99443040dad13ee 640068 admin optional grub-pc-bin_1.99-24_i386.deb
 e09d957dd7a05a436dcbaea801904991 170034 admin optional grub-pc_1.99-24_i386.deb
 5e2826ee0fe08f92edc61e7bdbcabc02 821706 admin extra grub-rescue-pc_1.99-24_i386.deb
 94fbf82a1a25c77b85d212e0e091620d 447876 admin extra grub-coreboot-bin_1.99-24_i386.deb
 b23545f418a08c6b72360c452b4d21f8 45016 admin extra grub-coreboot_1.99-24_i386.deb
 8ab0da039b368ba3622b5a1bc5fc7b6b 455956 admin extra grub-efi-ia32-bin_1.99-24_i386.deb
 2d1db686859c7b427bb87c6dfbb0ef4d 45106 admin extra grub-efi-ia32_1.99-24_i386.deb
 f2419304edc372a73c1e3b8d7b670473 476352 admin extra grub-efi-amd64-bin_1.99-24_i386.deb
 45e72c5115177d1099ae166e7784dddc 45100 admin extra grub-efi-amd64_1.99-24_i386.deb
 04c4275aa9844fcafe3f9b9e32206f7e 446022 admin extra grub-ieee1275-bin_1.99-24_i386.deb
 6c3cd943c5a8da0ef9171e071286f35e 45050 admin extra grub-ieee1275_1.99-24_i386.deb
 8139d96300e84c1d625a240aebd729f6 760334 admin extra grub-firmware-qemu_1.99-24_i386.deb
 e5bb02cc3c1579f74354085011835da0 177292 debian-installer extra grub-mount-udeb_1.99-24_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUN3Xajk1h9l9hlALAQikWg//W7XQmb5IMwuvVo+bF20STm6NbjaTflOA
T1+jKbSiv3+recKREQLY3oRxquHpx1c3rsa5374meYbN2RT7Hnr1DQp84utfleQI
SmtpnKtkWgzlim7OG9zLmfTE3hJyOCZBNrkWzwfWUOst2KnP+rlqHZO6IovJCDM3
FP9jVZvLEm4qdm8tbvVZX7wcN+7XxFwvLKs4Qo5I2wzbotnYvzUtJ5O3MVHxjuIM
0n9zjO0O3reX+nUQF7RtKrKCWObfhYVN0qIroxaTx8srRxwP9qDFmyJEfweXhc02
jFWeQLCON6+uJESWldCyC8Sj/kwsM/Y/RpiR7XLPL2tfcaJHNi41zRs4PBgrwAXi
APxfbT2nK+05zuqiDI/XxHfMa3OEYsTo8U5blYuPOaesitVkw7tZBy6/4liIJ6Ya
r5tAbGHNOqaEHn9Kry33emJPkKXDJcwttKonnvTHv4kH7XtPTrIsVR9k+2FnRFWL
ksfvcZftscmI4PnEJqDOwb/l4/NQ4j6KfjVmsEpvXeYwWbNjK5xoKpVHva+YUQpX
kK7M6oV7y79rHIxE0+2srwEdTzXtgS3pJSL0BlJNcFJdJ4Iqmwgw7yR+FG8ExgmG
SNlodAD7qjpbfbu3GMWZrSsu800opCWTQ2UIfFdVEVnGivMRLOquAbse/Ql3ggkb
wXJq+fMQ7QA=
=+gEW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Jan 2013 07:26:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:32:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.